(in-package :sigma)
(defun sr (&optional number-of-decisions)
(let (nod)
(setf nod (if number-of-decisions number-of-decisions 100))
(init '(shift right left none done))

(new-type 'index :numeric t :discrete t :min -1 :max 6)
(new-type 'wid :numeric t :discrete t :min 0 :max 10)
(new-type 'tags :constants '(LW RW FW -LRB- -RRB- BACKQUOTEBACKQUOTE CC CD COMMACHAR DOLLARSIGN DT EX HASHSIGN IN JJ JJR JJS LS LW MD NN NNP NNPS NNS PDT PERIODCHAR POS PRP PRPDOLLARSIGN RB RBR RBS RP SINGLEQUOTESINGLEQUOTE TO UH VB VBD VBG VBN VBP VBZ WDT WP WPDOLLARSIGN WRB COL))
(new-type 'lex :constants '(LW RW the dog chased cat))

(predicate 'Stack :world 'closed :arguments '((idx index) (id wid !)))
(predicate 'StackTop :world 'closed :arguments '((idx index !)))
(predicate 'InputPtr :world 'closed :arguments '((ptr wid !)))
(predicate 'dependency :world 'closed :arguments '((head wid !) (dependent wid)))
(predicate 'sentence :world 'closed :arguments '((id wid) (word lex) (tag tags !)))

(setf post-d '((print "*******************************")
               (print "Stack") (ppvn 'Stack)
               (print "Dependencies") (ppwm 'dependency)
               (print "StackTop") (ppvn 'StackTop) 
               (format t "~&Selected action: ~S" (operator-in-state base-level-state))))

(conditional 'Shift
             :conditions '((Selected (state 0) (operator shift))
                           (sentence (id (ind)) (word (evw)) (tag (evt)))
                           (stacktop (idx (stind)))
                           (InputPtr (ptr (ind))))
             :actions '((Stack (idx (stind 1)) (id (ind)))
                        (InputPtr (ptr (ind 1)))
                        (stacktop (idx (stind 1)))
                        (Selected (state 0) (operator none))))

(conditional 'Left
             :conditions '((Selected (state 0) (operator left))
                           (stacktop (idx (stind)))
                           (stack (idx (stind)) (id (s1)))
                           (stack (idx (stind -1)) (id (s2)))
                           (sentence (id (s1)) (word (w1)) (tag (t1)))
                           (sentence (id (s2)) (word (w2)) (tag (t2))))
             :actions '((Stack (idx (stind -1)) (id (s1)))
                        (Stack -(idx (stind)))
                        (stacktop (idx (stind -1)))
                        (dependency (head (s1)) (dependent (s2)))
                        (Selected (state 0) (operator none))))

(conditional 'Right
             :conditions '((Selected (state 0) (operator right))
                           (stacktop (idx (stind)))
                           (stack (idx (stind)) (id (s1)))
                           (stack (idx (stind -1)) (id (s2)))
                           (sentence (id (s1)) (word (w1)) (tag (t1)))
                           (sentence (id (s2)) (word (w2)) (tag (t2))))
             :actions '((Stack (idx (stind -1)) (id (s2)))
                        (Stack -(idx (stind)))
                        (stacktop (idx (stind -1)))
                        (dependency (head (s2)) (dependent (s1)))
                        (Selected (state 0) (operator none))))

(conditional 'Done
             :conditions '((Selected (state 0) (operator done)))
             :actions '((halt)))

(conditional 'leftrightpos
:conditions '((Selected (state 0) (operator none))
(stacktop (idx (i)))
(stack (idx (i)) (id (s1id)))
(stack (idx (i -1)) (id (s2id)))
(sentence (id (s1id)) (word (w1)) (tag (t1)))
(sentence (id (s2id)) (word (w2)) (tag (t2))))
:actions '((Selected (state 0) (operator (a))))
:FUNCTION-VARIABLE-NAMES '(a t2 t1)
:function '(
(0.01 shift DOLLARSIGN COMMACHAR)
(0.01 left DOLLARSIGN COMMACHAR)
(0.01 right DOLLARSIGN COMMACHAR)
(0.01 shift DOLLARSIGN COL)
(0.01 left DOLLARSIGN COL)
(0.01 right DOLLARSIGN COL)
(0.01001 shift COMMACHAR BACKQUOTEBACKQUOTE)
(0.01 left COMMACHAR BACKQUOTEBACKQUOTE)
(0.01 right COMMACHAR BACKQUOTEBACKQUOTE)
(0.00996 shift BACKQUOTEBACKQUOTE DOLLARSIGN)
(0.01 left BACKQUOTEBACKQUOTE DOLLARSIGN)
(0.00998 right BACKQUOTEBACKQUOTE DOLLARSIGN)
(0.00995 shift DOLLARSIGN DOLLARSIGN)
(0.01 left DOLLARSIGN DOLLARSIGN)
(0.00998 right DOLLARSIGN DOLLARSIGN)
(0.01006 shift COMMACHAR SINGLEQUOTESINGLEQUOTE)
(0.01 left COMMACHAR SINGLEQUOTESINGLEQUOTE)
(0.00999 right COMMACHAR SINGLEQUOTESINGLEQUOTE)
(0.00993 shift COMMACHAR DOLLARSIGN)
(0.01 left COMMACHAR DOLLARSIGN)
(0.00997 right COMMACHAR DOLLARSIGN)
(0.01 shift CC DOLLARSIGN)
(0.01 left CC DOLLARSIGN)
(0.01 right CC DOLLARSIGN)
(0.01001 shift COL CC)
(0.01 left COL CC)
(0.00999 right COL CC)
(0.01001 shift DOLLARSIGN CC)
(0.01 left DOLLARSIGN CC)
(0.00999 right DOLLARSIGN CC)
(0.01001 shift SINGLEQUOTESINGLEQUOTE CC)
(0.01 left SINGLEQUOTESINGLEQUOTE CC)
(0.01 right SINGLEQUOTESINGLEQUOTE CC)
(0.00998 shift CC COMMACHAR)
(0.01 left CC COMMACHAR)
(0.01002 right CC COMMACHAR)
(0.01004 shift COMMACHAR CC)
(0.01 left COMMACHAR CC)
(0.01001 right COMMACHAR CC)
(0.00998 shift CC CC)
(0.01 left CC CC)
(0.01002 right CC CC)
(0.01003 shift CC CD)
(0.01 left CC CD)
(0.01 right CC CD)
(0.00998 shift CC DT)
(0.01 left CC DT)
(0.00999 right CC DT)
(0.01001 shift CC EX)
(0.01 left CC EX)
(0.01 right CC EX)
(0.01 shift CC IN)
(0.01 left CC IN)
(0.01 right CC IN)
(0.00996 shift CC JJ)
(0.01 left CC JJ)
(0.00995 right CC JJ)
(0.00997 shift CC JJR)
(0.01 left CC JJR)
(0.00997 right CC JJR)
(0.01006 shift CC JJS)
(0.01 left CC JJS)
(0.01001 right CC JJS)
(0.01001 shift CC LS)
(0.01 left CC LS)
(0.01 right CC LS)
(0.00999 shift CC MD)
(0.01 left CC MD)
(0.01 right CC MD)
(0.01007 shift CC NN)
(0.01 left CC NN)
(0.01006 right CC NN)
(0.01001 shift CC NNP)
(0.01 left CC NNP)
(0.01 right CC NNP)
(0.01005 shift CC NNS)
(0.01 left CC NNS)
(0.01 right CC NNS)
(0.01005 shift CC POS)
(0.01 left CC POS)
(0.01002 right CC POS)
(0.01001 shift CC PRP)
(0.01 left CC PRP)
(0.01 right CC PRP)
(0.01004 shift CC RB)
(0.01 left CC RB)
(0.00999 right CC RB)
(0.01001 shift CC TO)
(0.01 left CC TO)
(0.01 right CC TO)
(0.00997 shift CC VB)
(0.01 left CC VB)
(0.00999 right CC VB)
(0.00995 shift CC VBD)
(0.01 left CC VBD)
(0.00998 right CC VBD)
(0.01002 shift CC VBG)
(0.01 left CC VBG)
(0.01 right CC VBG)
(0.01 shift CC VBN)
(0.01 left CC VBN)
(0.00999 right CC VBN)
(0.00993 shift CC VBP)
(0.01 left CC VBP)
(0.00997 right CC VBP)
(0.00997 shift CC VBZ)
(0.01 left CC VBZ)
(0.00998 right CC VBZ)
(0.00994 shift CC WDT)
(0.01 left CC WDT)
(0.00997 right CC WDT)
(0.01001 shift CC WP)
(0.01 left CC WP)
(0.01 right CC WP)
(0.01 shift CC WRB)
(0.01 left CC WRB)
(0.00999 right CC WRB)
(0.01 shift CD COMMACHAR)
(0.01 left CD COMMACHAR)
(0.01003 right CD COMMACHAR)
(0.01 shift CD COL)
(0.01 left CD COL)
(0.01003 right CD COL)
(0.01 shift CD BACKQUOTEBACKQUOTE)
(0.01 left CD BACKQUOTEBACKQUOTE)
(0.01 right CD BACKQUOTEBACKQUOTE)
(0.01 shift CD DOLLARSIGN)
(0.01 left CD DOLLARSIGN)
(0.01003 right CD DOLLARSIGN)
(0.01 shift COMMACHAR CD)
(0.01 left COMMACHAR CD)
(0.00998 right COMMACHAR CD)
(0.01001 shift CD SINGLEQUOTESINGLEQUOTE)
(0.01 left CD SINGLEQUOTESINGLEQUOTE)
(0.00999 right CD SINGLEQUOTESINGLEQUOTE)
(0.01001 shift COL CD)
(0.01 left COL CD)
(0.00997 right COL CD)
(0.00997 shift HASHSIGN CD)
(0.01 left HASHSIGN CD)
(0.00994 right HASHSIGN CD)
(0.00993 shift DOLLARSIGN CD)
(0.01 left DOLLARSIGN CD)
(0.01005 right DOLLARSIGN CD)
(0.01001 shift CD CC)
(0.01 left CD CC)
(0.00999 right CD CC)
(0.00984 shift CD CD)
(0.01 left CD CD)
(0.00984 right CD CD)
(0.01 shift CD DT)
(0.01 left CD DT)
(0.00996 right CD DT)
(0.01 shift CD IN)
(0.01 left CD IN)
(0.01004 right CD IN)
(0.01 shift CD JJ)
(0.01 left CD JJ)
(0.01001 right CD JJ)
(0.00999 shift CD JJR)
(0.01 left CD JJR)
(0.01 right CD JJR)
(0.01 shift CD -LRB-)
(0.01 left CD -LRB-)
(0.01 right CD -LRB-)
(0.00993 shift CD NN)
(0.01 left CD NN)
(0.00997 right CD NN)
(0.01004 shift CD NNP)
(0.01 left CD NNP)
(0.01001 right CD NNP)
(0.00991 shift CD NNS)
(0.01 left CD NNS)
(0.0099 right CD NNS)
(0.00997 shift CD POS)
(0.01 left CD POS)
(0.00999 right CD POS)
(0.01001 shift CD PRP)
(0.01 left CD PRP)
(0.00999 right CD PRP)
(0.01002 shift CD RB)
(0.01 left CD RB)
(0.01005 right CD RB)
(0.00997 shift CD RBR)
(0.01 left CD RBR)
(0.00998 right CD RBR)
(0.01 shift CD -RRB-)
(0.01 left CD -RRB-)
(0.01 right CD -RRB-)
(0.01001 shift CD TO)
(0.01 left CD TO)
(0.01 right CD TO)
(0.01004 shift CD VB)
(0.01 left CD VB)
(0.01003 right CD VB)
(0.01005 shift CD VBD)
(0.01 left CD VBD)
(0.01003 right CD VBD)
(0.01004 shift CD VBG)
(0.01 left CD VBG)
(0.01002 right CD VBG)
(0.01002 shift CD VBN)
(0.01 left CD VBN)
(0.01002 right CD VBN)
(0.01005 shift CD VBZ)
(0.01 left CD VBZ)
(0.01004 right CD VBZ)
(0.01 shift CD WDT)
(0.01 left CD WDT)
(0.01 right CD WDT)
(0.01 shift CD WP)
(0.01 left CD WP)
(0.01 right CD WP)
(0.01001 shift CD WRB)
(0.01 left CD WRB)
(0.01 right CD WRB)
(0.01001 shift COL DT)
(0.01 left COL DT)
(0.01 right COL DT)
(0.01001 shift DT BACKQUOTEBACKQUOTE)
(0.01 left DT BACKQUOTEBACKQUOTE)
(0.01 right DT BACKQUOTEBACKQUOTE)
(0.00999 shift BACKQUOTEBACKQUOTE DT)
(0.01 left BACKQUOTEBACKQUOTE DT)
(0.01 right BACKQUOTEBACKQUOTE DT)
(0.01001 shift SINGLEQUOTESINGLEQUOTE DT)
(0.01 left SINGLEQUOTESINGLEQUOTE DT)
(0.01 right SINGLEQUOTESINGLEQUOTE DT)
(0.01003 shift COMMACHAR DT)
(0.01 left COMMACHAR DT)
(0.01001 right COMMACHAR DT)
(0.01008 shift DT DOLLARSIGN)
(0.01 left DT DOLLARSIGN)
(0.01001 right DT DOLLARSIGN)
(0.00999 shift DT CC)
(0.01 left DT CC)
(0.01004 right DT CC)
(0.00998 shift DT CD)
(0.01 left DT CD)
(0.01001 right DT CD)
(0.01 shift DT DT)
(0.01 left DT DT)
(0.01 right DT DT)
(0.01 shift DT IN)
(0.01 left DT IN)
(0.01007 right DT IN)
(0.01004 shift DT JJ)
(0.01 left DT JJ)
(0.00995 right DT JJ)
(0.01007 shift DT JJR)
(0.01 left DT JJR)
(0.01003 right DT JJR)
(0.01001 shift DT JJS)
(0.01 left DT JJS)
(0.00997 right DT JJS)
(0.01004 shift DT MD)
(0.01 left DT MD)
(0.01008 right DT MD)
(0.00993 shift DT NN)
(0.01 left DT NN)
(0.00991 right DT NN)
(0.00995 shift DT NNP)
(0.01 left DT NNP)
(0.00991 right DT NNP)
(0.00995 shift DT NNS)
(0.01 left DT NNS)
(0.00993 right DT NNS)
(0.00987 shift DT POS)
(0.01 left DT POS)
(0.00994 right DT POS)
(0.00998 shift DT RB)
(0.01 left DT RB)
(0.00996 right DT RB)
(0.00997 shift DT RBR)
(0.01 left DT RBR)
(0.00996 right DT RBR)
(0.01004 shift DT RBS)
(0.01 left DT RBS)
(0.01002 right DT RBS)
(0.00996 shift DT RP)
(0.01 left DT RP)
(0.00994 right DT RP)
(0.00991 shift DT TO)
(0.01 left DT TO)
(0.00995 right DT TO)
(0.01007 shift DT VBD)
(0.01 left DT VBD)
(0.0101 right DT VBD)
(0.00998 shift DT VBG)
(0.01 left DT VBG)
(0.00999 right DT VBG)
(0.01008 shift DT VBN)
(0.01 left DT VBN)
(0.01004 right DT VBN)
(0.01001 shift DT VBP)
(0.01 left DT VBP)
(0.01003 right DT VBP)
(0.01005 shift DT VBZ)
(0.01 left DT VBZ)
(0.01007 right DT VBZ)
(0.01 shift DT WP)
(0.01 left DT WP)
(0.01002 right DT WP)
(0.00999 shift EX MD)
(0.01 left EX MD)
(0.01 right EX MD)
(0.01003 shift EX POS)
(0.01 left EX POS)
(0.01001 right EX POS)
(0.00997 shift EX VBD)
(0.01 left EX VBD)
(0.00999 right EX VBD)
(0.00996 shift EX VBZ)
(0.01 left EX VBZ)
(0.00998 right EX VBZ)
(0.01 shift IN DOLLARSIGN)
(0.01 left IN DOLLARSIGN)
(0.01 right IN DOLLARSIGN)
(0.00999 shift IN COL)
(0.01 left IN COL)
(0.01001 right IN COL)
(0.00999 shift IN HASHSIGN)
(0.01 left IN HASHSIGN)
(0.01001 right IN HASHSIGN)
(0.00999 shift IN SINGLEQUOTESINGLEQUOTE)
(0.01 left IN SINGLEQUOTESINGLEQUOTE)
(0.01001 right IN SINGLEQUOTESINGLEQUOTE)
(0.00998 shift COMMACHAR IN)
(0.01 left COMMACHAR IN)
(0.00996 right COMMACHAR IN)
(0.00997 shift COL IN)
(0.01 left COL IN)
(0.00996 right COL IN)
(0.00996 shift IN BACKQUOTEBACKQUOTE)
(0.01 left IN BACKQUOTEBACKQUOTE)
(0.01004 right IN BACKQUOTEBACKQUOTE)
(0.01004 shift DOLLARSIGN IN)
(0.01 left DOLLARSIGN IN)
(0.01004 right DOLLARSIGN IN)
(0.01004 shift IN COMMACHAR)
(0.01 left IN COMMACHAR)
(0.00996 right IN COMMACHAR)
(0.00992 shift BACKQUOTEBACKQUOTE IN)
(0.01 left BACKQUOTEBACKQUOTE IN)
(0.00993 right BACKQUOTEBACKQUOTE IN)
(0.00997 shift IN CC)
(0.01 left IN CC)
(0.01003 right IN CC)
(0.00999 shift IN CD)
(0.01 left IN CD)
(0.01002 right IN CD)
(0.00999 shift IN DT)
(0.01 left IN DT)
(0.00998 right IN DT)
(0.01002 shift IN EX)
(0.01 left IN EX)
(0.00998 right IN EX)
(0.00993 shift IN IN)
(0.01 left IN IN)
(0.00995 right IN IN)
(0.01 shift IN JJ)
(0.01 left IN JJ)
(0.01 right IN JJ)
(0.01003 shift IN JJR)
(0.01 left IN JJR)
(0.00999 right IN JJR)
(0.00996 shift IN JJS)
(0.01 left IN JJS)
(0.01003 right IN JJS)
(0.01001 shift IN -LRB-)
(0.01 left IN -LRB-)
(0.00999 right IN -LRB-)
(0.01 shift IN MD)
(0.01 left IN MD)
(0.00998 right IN MD)
(0.01003 shift IN NN)
(0.01 left IN NN)
(0.01009 right IN NN)
(0.01001 shift IN NNP)
(0.01 left IN NNP)
(0.0101 right IN NNP)
(0.01004 shift IN NNS)
(0.01 left IN NNS)
(0.01006 right IN NNS)
(0.01001 shift IN PDT)
(0.01 left IN PDT)
(0.00999 right IN PDT)
(0.01006 shift IN POS)
(0.01 left IN POS)
(0.01004 right IN POS)
(0.01 shift IN PRP)
(0.01 left IN PRP)
(0.01 right IN PRP)
(0.01001 shift IN PRPDOLLARSIGN)
(0.01 left IN PRPDOLLARSIGN)
(0.00999 right IN PRPDOLLARSIGN)
(0.00999 shift IN RB)
(0.01 left IN RB)
(0.00995 right IN RB)
(0.01001 shift IN RBS)
(0.01 left IN RBS)
(0.00999 right IN RBS)
(0.01 shift IN TO)
(0.01 left IN TO)
(0.01 right IN TO)
(0.01 shift IN VB)
(0.01 left IN VB)
(0.00996 right IN VB)
(0.01007 shift IN VBD)
(0.01 left IN VBD)
(0.01001 right IN VBD)
(0.01001 shift IN VBG)
(0.01 left IN VBG)
(0.01 right IN VBG)
(0.00995 shift IN VBN)
(0.01 left IN VBN)
(0.00996 right IN VBN)
(0.01004 shift IN VBP)
(0.01 left IN VBP)
(0.01 right IN VBP)
(0.01004 shift IN VBZ)
(0.01 left IN VBZ)
(0.01001 right IN VBZ)
(0.00995 shift IN WDT)
(0.01 left IN WDT)
(0.01005 right IN WDT)
(0.01 shift IN WP)
(0.01 left IN WP)
(0.01 right IN WP)
(0.01 shift IN WPDOLLARSIGN)
(0.01 left IN WPDOLLARSIGN)
(0.01 right IN WPDOLLARSIGN)
(0.00998 shift IN WRB)
(0.01 left IN WRB)
(0.00995 right IN WRB)
(0.01 shift JJ PERIODCHAR)
(0.01 left JJ PERIODCHAR)
(0.01002 right JJ PERIODCHAR)
(0.01 shift JJ COMMACHAR)
(0.01 left JJ COMMACHAR)
(0.01 right JJ COMMACHAR)
(0.01 shift JJ COL)
(0.01 left JJ COL)
(0.01 right JJ COL)
(0.01 shift SINGLEQUOTESINGLEQUOTE JJ)
(0.01 left SINGLEQUOTESINGLEQUOTE JJ)
(0.00999 right SINGLEQUOTESINGLEQUOTE JJ)
(0.01 shift BACKQUOTEBACKQUOTE JJ)
(0.01 left BACKQUOTEBACKQUOTE JJ)
(0.00998 right BACKQUOTEBACKQUOTE JJ)
(0.00999 shift JJ DOLLARSIGN)
(0.01 left JJ DOLLARSIGN)
(0.01 right JJ DOLLARSIGN)
(0.01001 shift COL JJ)
(0.01 left COL JJ)
(0.01 right COL JJ)
(0.01002 shift DOLLARSIGN JJ)
(0.01 left DOLLARSIGN JJ)
(0.01008 right DOLLARSIGN JJ)
(0.01002 shift COMMACHAR JJ)
(0.01 left COMMACHAR JJ)
(0.01001 right COMMACHAR JJ)
(0.01005 shift JJ BACKQUOTEBACKQUOTE)
(0.01 left JJ BACKQUOTEBACKQUOTE)
(0.01 right JJ BACKQUOTEBACKQUOTE)
(0.01005 shift JJ SINGLEQUOTESINGLEQUOTE)
(0.01 left JJ SINGLEQUOTESINGLEQUOTE)
(0.01 right JJ SINGLEQUOTESINGLEQUOTE)
(0.01001 shift JJ CC)
(0.01 left JJ CC)
(0.01001 right JJ CC)
(0.01 shift JJ CD)
(0.01 left JJ CD)
(0.01 right JJ CD)
(0.01 shift JJ DT)
(0.01 left JJ DT)
(0.01 right JJ DT)
(0.01 shift JJ IN)
(0.01 left JJ IN)
(0.01 right JJ IN)
(0.00996 shift JJ JJ)
(0.01 left JJ JJ)
(0.00991 right JJ JJ)
(0.00999 shift JJ JJR)
(0.01 left JJ JJR)
(0.01003 right JJ JJR)
(0.01 shift JJ JJS)
(0.01 left JJ JJS)
(0.01002 right JJ JJS)
(0.00994 shift JJ NN)
(0.01 left JJ NN)
(0.00992 right JJ NN)
(0.01 shift JJ NNP)
(0.01 left JJ NNP)
(0.00998 right JJ NNP)
(0.00989 shift JJ NNS)
(0.01 left JJ NNS)
(0.0099 right JJ NNS)
(0.00989 shift JJ POS)
(0.01 left JJ POS)
(0.00995 right JJ POS)
(0.01003 shift JJ PRP)
(0.01 left JJ PRP)
(0.01 right JJ PRP)
(0.01 shift JJR COMMACHAR)
(0.01 left JJR COMMACHAR)
(0.01 right JJR COMMACHAR)
(0.01002 shift COMMACHAR JJR)
(0.01 left COMMACHAR JJR)
(0.01001 right COMMACHAR JJR)
(0.00996 shift DOLLARSIGN JJR)
(0.01 left DOLLARSIGN JJR)
(0.00996 right DOLLARSIGN JJR)
(0.00994 shift JJR DOLLARSIGN)
(0.01 left JJR DOLLARSIGN)
(0.00997 right JJR DOLLARSIGN)
(0.00998 shift JJ RB)
(0.01 left JJ RB)
(0.00998 right JJ RB)
(0.01003 shift JJ RBR)
(0.01 left JJ RBR)
(0.01 right JJ RBR)
(0.01001 shift JJ RBS)
(0.01 left JJ RBS)
(0.01 right JJ RBS)
(0.01 shift JJR IN)
(0.01 left JJR IN)
(0.01 right JJR IN)
(0.01006 shift JJR JJ)
(0.01 left JJR JJ)
(0.01003 right JJR JJ)
(0.00995 shift JJR JJR)
(0.01 left JJR JJR)
(0.00998 right JJR JJR)
(0.00999 shift JJR NN)
(0.01 left JJR NN)
(0.00996 right JJR NN)
(0.01002 shift JJR NNP)
(0.01 left JJR NNP)
(0.01001 right JJR NNP)
(0.00996 shift JJR NNS)
(0.01 left JJR NNS)
(0.00995 right JJR NNS)
(0.01 shift JJ RP)
(0.01 left JJ RP)
(0.01001 right JJ RP)
(0.01 shift JJ -RRB-)
(0.01 left JJ -RRB-)
(0.01 right JJ -RRB-)
(0.01004 shift JJR VB)
(0.01 left JJR VB)
(0.01007 right JJR VB)
(0.00998 shift JJS COMMACHAR)
(0.01 left JJS COMMACHAR)
(0.01002 right JJS COMMACHAR)
(0.00998 shift COMMACHAR JJS)
(0.01 left COMMACHAR JJS)
(0.00999 right COMMACHAR JJS)
(0.01003 shift BACKQUOTEBACKQUOTE JJS)
(0.01 left BACKQUOTEBACKQUOTE JJS)
(0.01001 right BACKQUOTEBACKQUOTE JJS)
(0.00997 shift COL JJS)
(0.01 left COL JJS)
(0.00999 right COL JJS)
(0.01001 shift JJS CC)
(0.01 left JJS CC)
(0.00999 right JJS CC)
(0.01005 shift JJS IN)
(0.01 left JJS IN)
(0.01004 right JJS IN)
(0.00999 shift JJS JJ)
(0.01 left JJS JJ)
(0.01 right JJS JJ)
(0.01 shift JJS NN)
(0.01 left JJS NN)
(0.00999 right JJS NN)
(0.01 shift JJS NNP)
(0.01 left JJS NNP)
(0.00997 right JJS NNP)
(0.00997 shift JJS NNS)
(0.01 left JJS NNS)
(0.00996 right JJS NNS)
(0.00999 shift JJS POS)
(0.01 left JJS POS)
(0.01 right JJS POS)
(0.00999 shift JJS RB)
(0.01 left JJS RB)
(0.01002 right JJS RB)
(0.01002 shift JJS VBG)
(0.01 left JJS VBG)
(0.01002 right JJS VBG)
(0.00998 shift JJS VBZ)
(0.01 left JJS VBZ)
(0.00999 right JJS VBZ)
(0.01003 shift JJ TO)
(0.01 left JJ TO)
(0.01001 right JJ TO)
(0.01009 shift JJ VB)
(0.01 left JJ VB)
(0.01007 right JJ VB)
(0.01004 shift JJ VBD)
(0.01 left JJ VBD)
(0.01003 right JJ VBD)
(0.01001 shift JJ VBG)
(0.01 left JJ VBG)
(0.01006 right JJ VBG)
(0.00996 shift JJ VBN)
(0.01 left JJ VBN)
(0.01005 right JJ VBN)
(0.00997 shift JJ VBP)
(0.01 left JJ VBP)
(0.00999 right JJ VBP)
(0.01001 shift JJ VBZ)
(0.01 left JJ VBZ)
(0.01001 right JJ VBZ)
(0.00999 shift -LRB- DOLLARSIGN)
(0.01 left -LRB- DOLLARSIGN)
(0.01 right -LRB- DOLLARSIGN)
(0.01 shift -LRB- CC)
(0.01 left -LRB- CC)
(0.01 right -LRB- CC)
(0.01 shift -LRB- CD)
(0.01 left -LRB- CD)
(0.01 right -LRB- CD)
(0.01003 shift -LRB- DT)
(0.01 left -LRB- DT)
(0.01001 right -LRB- DT)
(0.00995 shift -LRB- IN)
(0.01 left -LRB- IN)
(0.00996 right -LRB- IN)
(0.01 shift -LRB- JJ)
(0.01 left -LRB- JJ)
(0.01 right -LRB- JJ)
(0.01 shift -LRB- NN)
(0.01 left -LRB- NN)
(0.01 right -LRB- NN)
(0.01002 shift -LRB- NNP)
(0.01 left -LRB- NNP)
(0.00999 right -LRB- NNP)
(0.01002 shift -LRB- NNS)
(0.01 left -LRB- NNS)
(0.01001 right -LRB- NNS)
(0.01001 shift -LRB- RB)
(0.01 left -LRB- RB)
(0.01 right -LRB- RB)
(0.01004 shift -LRB- UH)
(0.01 left -LRB- UH)
(0.01001 right -LRB- UH)
(0.00995 shift -LRB- VB)
(0.01 left -LRB- VB)
(0.00998 right -LRB- VB)
(0.00999 shift -LRB- VBD)
(0.01 left -LRB- VBD)
(0.01 right -LRB- VBD)
(0.00998 shift -LRB- VBG)
(0.01 left -LRB- VBG)
(0.00999 right -LRB- VBG)
(0.00998 shift -LRB- VBN)
(0.01 left -LRB- VBN)
(0.00998 right -LRB- VBN)
(0.00998 shift -LRB- WDT)
(0.01 left -LRB- WDT)
(0.00998 right -LRB- WDT)
(0.01001 shift LS NN)
(0.01 left LS NN)
(0.01 right LS NN)
(0.00998 shift LS NNS)
(0.01 left LS NNS)
(0.00998 right LS NNS)
(0.01001 shift LW CD)
(0.01 left LW CD)
(0.00999 right LW CD)
(0.01001 shift LW IN)
(0.01 left LW IN)
(0.00999 right LW IN)
(0.01003 shift LW MD)
(0.01 left LW MD)
(0.01001 right LW MD)
(0.01001 shift LW NN)
(0.01 left LW NN)
(0.01 right LW NN)
(0.01 shift LW NNP)
(0.01 left LW NNP)
(0.01 right LW NNP)
(0.01001 shift LW NNS)
(0.01 left LW NNS)
(0.01001 right LW NNS)
(0.01001 shift LW POS)
(0.01 left LW POS)
(0.01 right LW POS)
(0.01 shift LW RB)
(0.01 left LW RB)
(0.01 right LW RB)
(0.01 shift LW VB)
(0.01 left LW VB)
(0.01 right LW VB)
(0.01006 shift LW VBD)
(0.01 left LW VBD)
(0.01002 right LW VBD)
(0.01 shift LW VBN)
(0.01 left LW VBN)
(0.01 right LW VBN)
(0.01004 shift LW VBP)
(0.01 left LW VBP)
(0.01 right LW VBP)
(0.01005 shift LW VBZ)
(0.01 left LW VBZ)
(0.01001 right LW VBZ)
(0.01 shift LW WRB)
(0.01 left LW WRB)
(0.01 right LW WRB)
(0.01 shift BACKQUOTEBACKQUOTE MD)
(0.01 left BACKQUOTEBACKQUOTE MD)
(0.00999 right BACKQUOTEBACKQUOTE MD)
(0.01 shift MD PERIODCHAR)
(0.01 left MD PERIODCHAR)
(0.01 right MD PERIODCHAR)
(0.00999 shift MD BACKQUOTEBACKQUOTE)
(0.01 left MD BACKQUOTEBACKQUOTE)
(0.01001 right MD BACKQUOTEBACKQUOTE)
(0.00999 shift COL MD)
(0.01 left COL MD)
(0.01 right COL MD)
(0.00999 shift SINGLEQUOTESINGLEQUOTE MD)
(0.01 left SINGLEQUOTESINGLEQUOTE MD)
(0.01 right SINGLEQUOTESINGLEQUOTE MD)
(0.00999 shift DOLLARSIGN MD)
(0.01 left DOLLARSIGN MD)
(0.01 right DOLLARSIGN MD)
(0.00999 shift MD SINGLEQUOTESINGLEQUOTE)
(0.01 left MD SINGLEQUOTESINGLEQUOTE)
(0.01001 right MD SINGLEQUOTESINGLEQUOTE)
(0.01002 shift MD COL)
(0.01 left MD COL)
(0.00998 right MD COL)
(0.01002 shift MD COMMACHAR)
(0.01 left MD COMMACHAR)
(0.00998 right MD COMMACHAR)
(0.00995 shift COMMACHAR MD)
(0.01 left COMMACHAR MD)
(0.00998 right COMMACHAR MD)
(0.01 shift MD CC)
(0.01 left MD CC)
(0.01 right MD CC)
(0.00998 shift MD DT)
(0.01 left MD DT)
(0.01002 right MD DT)
(0.01001 shift MD IN)
(0.01 left MD IN)
(0.00999 right MD IN)
(0.01001 shift MD MD)
(0.01 left MD MD)
(0.00998 right MD MD)
(0.01003 shift MD NN)
(0.01 left MD NN)
(0.00999 right MD NN)
(0.01 shift MD NNP)
(0.01 left MD NNP)
(0.01003 right MD NNP)
(0.01001 shift MD NNS)
(0.01 left MD NNS)
(0.01004 right MD NNS)
(0.01001 shift MD PRP)
(0.01 left MD PRP)
(0.00999 right MD PRP)
(0.00997 shift MD RB)
(0.01 left MD RB)
(0.01007 right MD RB)
(0.01 shift MD RBR)
(0.01 left MD RBR)
(0.01 right MD RBR)
(0.01012 shift MD VB)
(0.01 left MD VB)
(0.01007 right MD VB)
(0.00994 shift MD VBD)
(0.01 left MD VBD)
(0.00993 right MD VBD)
(0.00998 shift MD VBP)
(0.01 left MD VBP)
(0.00999 right MD VBP)
(0.00997 shift MD VBZ)
(0.01 left MD VBZ)
(0.00997 right MD VBZ)
(0.01 shift NN SINGLEQUOTESINGLEQUOTE)
(0.01 left NN SINGLEQUOTESINGLEQUOTE)
(0.01 right NN SINGLEQUOTESINGLEQUOTE)
(0.01 shift NN COMMACHAR)
(0.01 left NN COMMACHAR)
(0.01002 right NN COMMACHAR)
(0.01001 shift SINGLEQUOTESINGLEQUOTE NN)
(0.01 left SINGLEQUOTESINGLEQUOTE NN)
(0.01 right SINGLEQUOTESINGLEQUOTE NN)
(0.00999 shift NN PERIODCHAR)
(0.01 left NN PERIODCHAR)
(0.01004 right NN PERIODCHAR)
(0.01001 shift NN BACKQUOTEBACKQUOTE)
(0.01 left NN BACKQUOTEBACKQUOTE)
(0.01001 right NN BACKQUOTEBACKQUOTE)
(0.01002 shift NN COL)
(0.01 left NN COL)
(0.01 right NN COL)
(0.00997 shift BACKQUOTEBACKQUOTE NN)
(0.01 left BACKQUOTEBACKQUOTE NN)
(0.00998 right BACKQUOTEBACKQUOTE NN)
(0.00996 shift DOLLARSIGN NN)
(0.01 left DOLLARSIGN NN)
(0.00991 right DOLLARSIGN NN)
(0.00995 shift NN DOLLARSIGN)
(0.01 left NN DOLLARSIGN)
(0.00998 right NN DOLLARSIGN)
(0.01007 shift COMMACHAR NN)
(0.01 left COMMACHAR NN)
(0.01002 right COMMACHAR NN)
(0.01007 shift COL NN)
(0.01 left COL NN)
(0.01 right COL NN)
(0.01002 shift NN CC)
(0.01 left NN CC)
(0.00998 right NN CC)
(0.01 shift NN CD)
(0.01 left NN CD)
(0.00999 right NN CD)
(0.00999 shift NN DT)
(0.01 left NN DT)
(0.00999 right NN DT)
(0.01005 shift NN IN)
(0.01 left NN IN)
(0.01005 right NN IN)
(0.01002 shift NN JJ)
(0.01 left NN JJ)
(0.01006 right NN JJ)
(0.01 shift NN JJR)
(0.01 left NN JJR)
(0.01003 right NN JJR)
(0.00992 shift NN JJS)
(0.01 left NN JJS)
(0.00994 right NN JJS)
(0.01003 shift NN -LRB-)
(0.01 left NN -LRB-)
(0.01 right NN -LRB-)
(0.01001 shift NN MD)
(0.01 left NN MD)
(0.01003 right NN MD)
(0.00995 shift NN NN)
(0.01 left NN NN)
(0.0099 right NN NN)
(0.00997 shift NN NNP)
(0.01 left NN NNP)
(0.00993 right NN NNP)
(0.00994 shift NN NNS)
(0.01 left NN NNS)
(0.00993 right NN NNS)
(0.01 shift NNP COMMACHAR)
(0.01 left NNP COMMACHAR)
(0.01005 right NNP COMMACHAR)
(0.01 shift SINGLEQUOTESINGLEQUOTE NNP)
(0.01 left SINGLEQUOTESINGLEQUOTE NNP)
(0.00999 right SINGLEQUOTESINGLEQUOTE NNP)
(0.01001 shift COL NNP)
(0.01 left COL NNP)
(0.01 right COL NNP)
(0.01001 shift NNP COL)
(0.01 left NNP COL)
(0.01003 right NNP COL)
(0.00998 shift NNP BACKQUOTEBACKQUOTE)
(0.01 left NNP BACKQUOTEBACKQUOTE)
(0.01002 right NNP BACKQUOTEBACKQUOTE)
(0.01002 shift BACKQUOTEBACKQUOTE NNP)
(0.01 left BACKQUOTEBACKQUOTE NNP)
(0.01001 right BACKQUOTEBACKQUOTE NNP)
(0.00997 shift PERIODCHAR NNP)
(0.01 left PERIODCHAR NNP)
(0.00996 right PERIODCHAR NNP)
(0.01004 shift COMMACHAR NNP)
(0.01 left COMMACHAR NNP)
(0.01001 right COMMACHAR NNP)
(0.01005 shift NNP SINGLEQUOTESINGLEQUOTE)
(0.01 left NNP SINGLEQUOTESINGLEQUOTE)
(0.01 right NNP SINGLEQUOTESINGLEQUOTE)
(0.01006 shift NNP PERIODCHAR)
(0.01 left NNP PERIODCHAR)
(0.01001 right NNP PERIODCHAR)
(0.01003 shift NNP CC)
(0.01 left NNP CC)
(0.01001 right NNP CC)
(0.01007 shift NNP CD)
(0.01 left NNP CD)
(0.0101 right NNP CD)
(0.01003 shift NNP IN)
(0.01 left NNP IN)
(0.0101 right NNP IN)
(0.00999 shift NNP JJ)
(0.01 left NNP JJ)
(0.01002 right NNP JJ)
(0.01001 shift NNP JJS)
(0.01 left NNP JJS)
(0.01 right NNP JJS)
(0.01004 shift NNP -LRB-)
(0.01 left NNP -LRB-)
(0.01001 right NNP -LRB-)
(0.00995 shift NNP MD)
(0.01 left NNP MD)
(0.00998 right NNP MD)
(0.00996 shift NNP NN)
(0.01 left NNP NN)
(0.00992 right NNP NN)
(0.00995 shift NNP NNP)
(0.01 left NNP NNP)
(0.00995 right NNP NNP)
(0.00994 shift NNP NNS)
(0.01 left NNP NNS)
(0.0099 right NNP NNS)
(0.00987 shift NN POS)
(0.01 left NN POS)
(0.00993 right NN POS)
(0.00986 shift NNP POS)
(0.01 left NNP POS)
(0.00993 right NNP POS)
(0.01006 shift NNP RB)
(0.01 left NNP RB)
(0.00999 right NNP RB)
(0.01003 shift NN PRP)
(0.01 left NN PRP)
(0.01 right NN PRP)
(0.01002 shift NNP -RRB-)
(0.01 left NNP -RRB-)
(0.01006 right NNP -RRB-)
(0.01001 shift COMMACHAR NNPS)
(0.01 left COMMACHAR NNPS)
(0.01 right COMMACHAR NNPS)
(0.01 shift NNPS VBD)
(0.01 left NNPS VBD)
(0.01 right NNPS VBD)
(0.01002 shift NNP TO)
(0.01 left NNP TO)
(0.01 right NNP TO)
(0.0099 shift NNP VB)
(0.01 left NNP VB)
(0.00994 right NNP VB)
(0.00993 shift NNP VBD)
(0.01 left NNP VBD)
(0.00994 right NNP VBD)
(0.00999 shift NNP VBG)
(0.01 left NNP VBG)
(0.00998 right NNP VBG)
(0.00999 shift NNP VBN)
(0.01 left NNP VBN)
(0.01 right NNP VBN)
(0.00995 shift NNP VBP)
(0.01 left NNP VBP)
(0.00998 right NNP VBP)
(0.00998 shift NNP VBZ)
(0.01 left NNP VBZ)
(0.00996 right NNP VBZ)
(0.01007 shift NNP WDT)
(0.01 left NNP WDT)
(0.01003 right NNP WDT)
(0.01003 shift NNP WPDOLLARSIGN)
(0.01 left NNP WPDOLLARSIGN)
(0.01 right NNP WPDOLLARSIGN)
(0.01004 shift NNP WP)
(0.01 left NNP WP)
(0.01 right NNP WP)
(0.01003 shift NNP WRB)
(0.01 left NNP WRB)
(0.01004 right NNP WRB)
(0.00995 shift NN RB)
(0.01 left NN RB)
(0.00992 right NN RB)
(0.00997 shift NN RBR)
(0.01 left NN RBR)
(0.00994 right NN RBR)
(0.01 shift NN RBS)
(0.01 left NN RBS)
(0.01 right NN RBS)
(0.01 shift NN RP)
(0.01 left NN RP)
(0.01004 right NN RP)
(0.01 shift NN -RRB-)
(0.01 left NN -RRB-)
(0.01001 right NN -RRB-)
(0.01 shift NNS COMMACHAR)
(0.01 left NNS COMMACHAR)
(0.01 right NNS COMMACHAR)
(0.01001 shift NNS COL)
(0.01 left NNS COL)
(0.01004 right NNS COL)
(0.00999 shift DOLLARSIGN NNS)
(0.01 left DOLLARSIGN NNS)
(0.00999 right DOLLARSIGN NNS)
(0.01002 shift NNS SINGLEQUOTESINGLEQUOTE)
(0.01 left NNS SINGLEQUOTESINGLEQUOTE)
(0.01 right NNS SINGLEQUOTESINGLEQUOTE)
(0.00998 shift SINGLEQUOTESINGLEQUOTE NNS)
(0.01 left SINGLEQUOTESINGLEQUOTE NNS)
(0.00999 right SINGLEQUOTESINGLEQUOTE NNS)
(0.01003 shift BACKQUOTEBACKQUOTE NNS)
(0.01 left BACKQUOTEBACKQUOTE NNS)
(0.01 right BACKQUOTEBACKQUOTE NNS)
(0.01003 shift NNS DOLLARSIGN)
(0.01 left NNS DOLLARSIGN)
(0.01003 right NNS DOLLARSIGN)
(0.01003 shift NNS BACKQUOTEBACKQUOTE)
(0.01 left NNS BACKQUOTEBACKQUOTE)
(0.00997 right NNS BACKQUOTEBACKQUOTE)
(0.01009 shift COL NNS)
(0.01 left COL NNS)
(0.01003 right COL NNS)
(0.01009 shift COMMACHAR NNS)
(0.01 left COMMACHAR NNS)
(0.01004 right COMMACHAR NNS)
(0.01003 shift NNS CC)
(0.01 left NNS CC)
(0.00997 right NNS CC)
(0.00998 shift NNS CD)
(0.01 left NNS CD)
(0.01 right NNS CD)
(0.00998 shift NNS DT)
(0.01 left NNS DT)
(0.00995 right NNS DT)
(0.01004 shift NNS IN)
(0.01 left NNS IN)
(0.01007 right NNS IN)
(0.01002 shift NNS JJ)
(0.01 left NNS JJ)
(0.01003 right NNS JJ)
(0.01001 shift NNS JJR)
(0.01 left NNS JJR)
(0.01005 right NNS JJR)
(0.01002 shift NNS -LRB-)
(0.01 left NNS -LRB-)
(0.01 right NNS -LRB-)
(0.01001 shift NNS MD)
(0.01 left NNS MD)
(0.01001 right NNS MD)
(0.01 shift NNS NN)
(0.01 left NNS NN)
(0.00998 right NNS NN)
(0.00997 shift NNS NNP)
(0.01 left NNS NNP)
(0.00998 right NNS NNP)
(0.00991 shift NNS NNS)
(0.01 left NNS NNS)
(0.00991 right NNS NNS)
(0.00989 shift NNS POS)
(0.01 left NNS POS)
(0.00995 right NNS POS)
(0.00999 shift NNS PRP)
(0.01 left NNS PRP)
(0.00994 right NNS PRP)
(0.00998 shift NNS RB)
(0.01 left NNS RB)
(0.00997 right NNS RB)
(0.00991 shift NNS RBR)
(0.01 left NNS RBR)
(0.00994 right NNS RBR)
(0.01001 shift NNS RP)
(0.01 left NNS RP)
(0.01002 right NNS RP)
(0.01004 shift NNS -RRB-)
(0.01 left NNS -RRB-)
(0.00999 right NNS -RRB-)
(0.01 shift NNS TO)
(0.01 left NNS TO)
(0.01003 right NNS TO)
(0.00997 shift NNS VB)
(0.01 left NNS VB)
(0.01 right NNS VB)
(0.00992 shift NNS VBD)
(0.01 left NNS VBD)
(0.00995 right NNS VBD)
(0.01001 shift NNS VBG)
(0.01 left NNS VBG)
(0.01001 right NNS VBG)
(0.01002 shift NNS VBN)
(0.01 left NNS VBN)
(0.01007 right NNS VBN)
(0.00994 shift NNS VBP)
(0.01 left NNS VBP)
(0.00995 right NNS VBP)
(0.01009 shift NNS VBZ)
(0.01 left NNS VBZ)
(0.01008 right NNS VBZ)
(0.01007 shift NNS WDT)
(0.01 left NNS WDT)
(0.01003 right NNS WDT)
(0.01 shift NNS WP)
(0.01 left NNS WP)
(0.01005 right NNS WP)
(0.01006 shift NNS WPDOLLARSIGN)
(0.01 left NNS WPDOLLARSIGN)
(0.01001 right NNS WPDOLLARSIGN)
(0.01001 shift NNS WRB)
(0.01 left NNS WRB)
(0.01003 right NNS WRB)
(0.01002 shift NN TO)
(0.01 left NN TO)
(0.01005 right NN TO)
(0.01006 shift NN VB)
(0.01 left NN VB)
(0.01006 right NN VB)
(0.00996 shift NN VBD)
(0.01 left NN VBD)
(0.00999 right NN VBD)
(0.00999 shift NN VBG)
(0.01 left NN VBG)
(0.01001 right NN VBG)
(0.00999 shift NN VBN)
(0.01 left NN VBN)
(0.01 right NN VBN)
(0.01008 shift NN VBP)
(0.01 left NN VBP)
(0.01007 right NN VBP)
(0.00998 shift NN VBZ)
(0.01 left NN VBZ)
(0.01 right NN VBZ)
(0.01006 shift NN WDT)
(0.01 left NN WDT)
(0.01004 right NN WDT)
(0.01001 shift NN WPDOLLARSIGN)
(0.01 left NN WPDOLLARSIGN)
(0.01001 right NN WPDOLLARSIGN)
(0.01002 shift NN WP)
(0.01 left NN WP)
(0.01002 right NN WP)
(0.01004 shift NN WRB)
(0.01 left NN WRB)
(0.01001 right NN WRB)
(0.00998 shift PDT DOLLARSIGN)
(0.01 left PDT DOLLARSIGN)
(0.00999 right PDT DOLLARSIGN)
(0.01003 shift PDT DT)
(0.01 left PDT DT)
(0.01001 right PDT DT)
(0.00996 shift PDT NN)
(0.01 left PDT NN)
(0.00998 right PDT NN)
(0.00998 shift PDT NNS)
(0.01 left PDT NNS)
(0.00998 right PDT NNS)
(0.0101 shift COMMACHAR POS)
(0.01 left COMMACHAR POS)
(0.01005 right COMMACHAR POS)
(0.00999 shift POS DOLLARSIGN)
(0.01 left POS DOLLARSIGN)
(0.01 right POS DOLLARSIGN)
(0.01006 shift COL POS)
(0.01 left COL POS)
(0.01003 right COL POS)
(0.01006 shift POS CD)
(0.01 left POS CD)
(0.01003 right POS CD)
(0.01001 shift POS DT)
(0.01 left POS DT)
(0.01 right POS DT)
(0.01011 shift POS JJ)
(0.01 left POS JJ)
(0.01002 right POS JJ)
(0.01002 shift POS JJS)
(0.01 left POS JJS)
(0.01001 right POS JJS)
(0.00994 shift POS NN)
(0.01 left POS NN)
(0.00993 right POS NN)
(0.00993 shift POS NNP)
(0.01 left POS NNP)
(0.00995 right POS NNP)
(0.00997 shift POS NNS)
(0.01 left POS NNS)
(0.00996 right POS NNS)
(0.00995 shift POS POS)
(0.01 left POS POS)
(0.00998 right POS POS)
(0.01 shift POS RB)
(0.01 left POS RB)
(0.01 right POS RB)
(0.00999 shift POS VB)
(0.01 left POS VB)
(0.01 right POS VB)
(0.00997 shift POS VBD)
(0.01 left POS VBD)
(0.00999 right POS VBD)
(0.01003 shift POS VBG)
(0.01 left POS VBG)
(0.01003 right POS VBG)
(0.01001 shift POS VBN)
(0.01 left POS VBN)
(0.01 right POS VBN)
(0.01 shift DOLLARSIGN PRP)
(0.01 left DOLLARSIGN PRP)
(0.01 right DOLLARSIGN PRP)
(0.01001 shift PRP COMMACHAR)
(0.01 left PRP COMMACHAR)
(0.01 right PRP COMMACHAR)
(0.01001 shift PRPDOLLARSIGN BACKQUOTEBACKQUOTE)
(0.01 left PRPDOLLARSIGN BACKQUOTEBACKQUOTE)
(0.01 right PRPDOLLARSIGN BACKQUOTEBACKQUOTE)
(0.01001 shift BACKQUOTEBACKQUOTE PRP)
(0.01 left BACKQUOTEBACKQUOTE PRP)
(0.01 right BACKQUOTEBACKQUOTE PRP)
(0.01001 shift COMMACHAR PRP)
(0.01 left COMMACHAR PRP)
(0.01 right COMMACHAR PRP)
(0.01002 shift SINGLEQUOTESINGLEQUOTE PRP)
(0.01 left SINGLEQUOTESINGLEQUOTE PRP)
(0.01 right SINGLEQUOTESINGLEQUOTE PRP)
(0.01002 shift PRP BACKQUOTEBACKQUOTE)
(0.01 left PRP BACKQUOTEBACKQUOTE)
(0.01 right PRP BACKQUOTEBACKQUOTE)
(0.01004 shift PRPDOLLARSIGN DOLLARSIGN)
(0.01 left PRPDOLLARSIGN DOLLARSIGN)
(0.01002 right PRPDOLLARSIGN DOLLARSIGN)
(0.01001 shift PRPDOLLARSIGN CD)
(0.01 left PRPDOLLARSIGN CD)
(0.01 right PRPDOLLARSIGN CD)
(0.00997 shift PRP DT)
(0.01 left PRP DT)
(0.00997 right PRP DT)
(0.00995 shift PRP IN)
(0.01 left PRP IN)
(0.01001 right PRP IN)
(0.01 shift PRPDOLLARSIGN JJ)
(0.01 left PRPDOLLARSIGN JJ)
(0.00998 right PRPDOLLARSIGN JJ)
(0.01005 shift PRP JJ)
(0.01 left PRP JJ)
(0.01002 right PRP JJ)
(0.01 shift PRPDOLLARSIGN JJS)
(0.01 left PRPDOLLARSIGN JJS)
(0.01 right PRPDOLLARSIGN JJS)
(0.00997 shift PRP MD)
(0.01 left PRP MD)
(0.00999 right PRP MD)
(0.01 shift PRP NN)
(0.01 left PRP NN)
(0.00999 right PRP NN)
(0.00993 shift PRPDOLLARSIGN NN)
(0.01 left PRPDOLLARSIGN NN)
(0.00995 right PRPDOLLARSIGN NN)
(0.00999 shift PRP NNP)
(0.01 left PRP NNP)
(0.01 right PRP NNP)
(0.01002 shift PRPDOLLARSIGN NNP)
(0.01 left PRPDOLLARSIGN NNP)
(0.01 right PRPDOLLARSIGN NNP)
(0.00999 shift PRP NNS)
(0.01 left PRP NNS)
(0.01 right PRP NNS)
(0.00992 shift PRPDOLLARSIGN NNS)
(0.01 left PRPDOLLARSIGN NNS)
(0.00994 right PRPDOLLARSIGN NNS)
(0.01006 shift PRP POS)
(0.01 left PRP POS)
(0.01003 right PRP POS)
(0.00994 shift PRPDOLLARSIGN POS)
(0.01 left PRPDOLLARSIGN POS)
(0.00997 right PRPDOLLARSIGN POS)
(0.01003 shift PRPDOLLARSIGN RB)
(0.01 left PRPDOLLARSIGN RB)
(0.01001 right PRPDOLLARSIGN RB)
(0.01009 shift PRP RB)
(0.01 left PRP RB)
(0.01 right PRP RB)
(0.01007 shift PRP RBR)
(0.01 left PRP RBR)
(0.01003 right PRP RBR)
(0.01001 shift PRP TO)
(0.01 left PRP TO)
(0.01 right PRP TO)
(0.00995 shift PRP VB)
(0.01 left PRP VB)
(0.00998 right PRP VB)
(0.00993 shift PRP VBD)
(0.01 left PRP VBD)
(0.00997 right PRP VBD)
(0.00997 shift PRP VBN)
(0.01 left PRP VBN)
(0.00997 right PRP VBN)
(0.01005 shift PRPDOLLARSIGN VBN)
(0.01 left PRPDOLLARSIGN VBN)
(0.01002 right PRPDOLLARSIGN VBN)
(0.00997 shift PRP VBP)
(0.01 left PRP VBP)
(0.00999 right PRP VBP)
(0.00994 shift PRP VBZ)
(0.01 left PRP VBZ)
(0.00996 right PRP VBZ)
(0.01 shift BACKQUOTEBACKQUOTE RB)
(0.01 left BACKQUOTEBACKQUOTE RB)
(0.01 right BACKQUOTEBACKQUOTE RB)
(0.01 shift RB BACKQUOTEBACKQUOTE)
(0.01 left RB BACKQUOTEBACKQUOTE)
(0.01 right RB BACKQUOTEBACKQUOTE)
(0.01002 shift COL RB)
(0.01 left COL RB)
(0.01001 right COL RB)
(0.01002 shift DOLLARSIGN RB)
(0.01 left DOLLARSIGN RB)
(0.01 right DOLLARSIGN RB)
(0.01004 shift RB COMMACHAR)
(0.01 left RB COMMACHAR)
(0.00999 right RB COMMACHAR)
(0.01004 shift RB DOLLARSIGN)
(0.01 left RB DOLLARSIGN)
(0.01001 right RB DOLLARSIGN)
(0.01004 shift COMMACHAR RB)
(0.01 left COMMACHAR RB)
(0.01001 right COMMACHAR RB)
(0.00998 shift RB CC)
(0.01 left RB CC)
(0.01002 right RB CC)
(0.01002 shift RB CD)
(0.01 left RB CD)
(0.01012 right RB CD)
(0.01007 shift RB DT)
(0.01 left RB DT)
(0.01009 right RB DT)
(0.01 shift RB IN)
(0.01 left RB IN)
(0.01 right RB IN)
(0.00991 shift RB JJ)
(0.01 left RB JJ)
(0.00992 right RB JJ)
(0.00989 shift RB JJR)
(0.01 left RB JJR)
(0.00991 right RB JJR)
(0.01002 shift RB MD)
(0.01 left RB MD)
(0.00999 right RB MD)
(0.01006 shift RB NN)
(0.01 left RB NN)
(0.01003 right RB NN)
(0.01005 shift RB NNP)
(0.01 left RB NNP)
(0.00998 right RB NNP)
(0.01003 shift RB NNS)
(0.01 left RB NNS)
(0.01001 right RB NNS)
(0.01 shift RB PDT)
(0.01 left RB PDT)
(0.01006 right RB PDT)
(0.01007 shift RB POS)
(0.01 left RB POS)
(0.01003 right RB POS)
(0.01001 shift RB PRPDOLLARSIGN)
(0.01 left RB PRPDOLLARSIGN)
(0.01 right RB PRPDOLLARSIGN)
(0.01005 shift RB PRP)
(0.01 left RB PRP)
(0.00999 right RB PRP)
(0.01002 shift RBR COMMACHAR)
(0.01 left RBR COMMACHAR)
(0.01 right RBR COMMACHAR)
(0.01004 shift COMMACHAR RBR)
(0.01 left COMMACHAR RBR)
(0.01002 right COMMACHAR RBR)
(0.01003 shift RB RB)
(0.01 left RB RB)
(0.01009 right RB RB)
(0.01004 shift RB RBR)
(0.01 left RB RBR)
(0.01008 right RB RBR)
(0.01 shift RBR CC)
(0.01 left RBR CC)
(0.01003 right RBR CC)
(0.01 shift RBR IN)
(0.01 left RBR IN)
(0.01 right RBR IN)
(0.00992 shift RBR JJ)
(0.01 left RBR JJ)
(0.00996 right RBR JJ)
(0.01 shift RBR NN)
(0.01 left RBR NN)
(0.00999 right RBR NN)
(0.01001 shift RBR RB)
(0.01 left RBR RB)
(0.00996 right RBR RB)
(0.01 shift RBR RBR)
(0.01 left RBR RBR)
(0.01004 right RBR RBR)
(0.00999 shift RBR VBD)
(0.01 left RBR VBD)
(0.01 right RBR VBD)
(0.00999 shift RBR VBG)
(0.01 left RBR VBG)
(0.00998 right RBR VBG)
(0.00999 shift RBR VBN)
(0.01 left RBR VBN)
(0.01 right RBR VBN)
(0.00999 shift RBR VBZ)
(0.01 left RBR VBZ)
(0.01 right RBR VBZ)
(0.01003 shift RBS IN)
(0.01 left RBS IN)
(0.01004 right RBS IN)
(0.00992 shift RBS JJ)
(0.01 left RBS JJ)
(0.00994 right RBS JJ)
(0.01 shift RBS NN)
(0.01 left RBS NN)
(0.00999 right RBS NN)
(0.00996 shift RBS RB)
(0.01 left RBS RB)
(0.00997 right RBS RB)
(0.01 shift RB TO)
(0.01 left RB TO)
(0.00999 right RB TO)
(0.01 shift RB UH)
(0.01 left RB UH)
(0.01 right RB UH)
(0.00998 shift RB VB)
(0.01 left RB VB)
(0.00998 right RB VB)
(0.00996 shift RB VBD)
(0.01 left RB VBD)
(0.00994 right RB VBD)
(0.00984 shift RB VBG)
(0.01 left RB VBG)
(0.00988 right RB VBG)
(0.00985 shift RB VBN)
(0.01 left RB VBN)
(0.00991 right RB VBN)
(0.00997 shift RB VBP)
(0.01 left RB VBP)
(0.00999 right RB VBP)
(0.01 shift RB VBZ)
(0.01 left RB VBZ)
(0.00998 right RB VBZ)
(0.00996 shift RB WP)
(0.01 left RB WP)
(0.00998 right RB WP)
(0.01003 shift RB WRB)
(0.01 left RB WRB)
(0.00999 right RB WRB)
(0.01001 shift RP IN)
(0.01 left RP IN)
(0.01 right RP IN)
(0.01 shift RP NN)
(0.01 left RP NN)
(0.01001 right RP NN)
(0.01 shift RP NNS)
(0.01 left RP NNS)
(0.01004 right RP NNS)
(0.01 shift RP RB)
(0.01 left RP RB)
(0.01 right RP RB)
(0.01 shift RP TO)
(0.01 left RP TO)
(0.01 right RP TO)
(0.01 shift RP VBG)
(0.01 left RP VBG)
(0.01 right RP VBG)
(0.01 shift DOLLARSIGN -RRB-)
(0.01 left DOLLARSIGN -RRB-)
(0.01 right DOLLARSIGN -RRB-)
(0.01002 shift PERIODCHAR -RRB-)
(0.01 left PERIODCHAR -RRB-)
(0.01 right PERIODCHAR -RRB-)
(0.00997 shift -RRB- NNP)
(0.01 left -RRB- NNP)
(0.00996 right -RRB- NNP)
(0.01 shift TO COMMACHAR)
(0.01 left TO COMMACHAR)
(0.01 right TO COMMACHAR)
(0.01 shift SINGLEQUOTESINGLEQUOTE TO)
(0.01 left SINGLEQUOTESINGLEQUOTE TO)
(0.01 right SINGLEQUOTESINGLEQUOTE TO)
(0.01001 shift TO BACKQUOTEBACKQUOTE)
(0.01 left TO BACKQUOTEBACKQUOTE)
(0.00999 right TO BACKQUOTEBACKQUOTE)
(0.01002 shift TO HASHSIGN)
(0.01 left TO HASHSIGN)
(0.01 right TO HASHSIGN)
(0.01003 shift TO DOLLARSIGN)
(0.01 left TO DOLLARSIGN)
(0.00997 right TO DOLLARSIGN)
(0.00999 shift TO CC)
(0.01 left TO CC)
(0.01001 right TO CC)
(0.00999 shift TO CD)
(0.01 left TO CD)
(0.00999 right TO CD)
(0.01004 shift TO DT)
(0.01 left TO DT)
(0.01 right TO DT)
(0.01 shift TO IN)
(0.01 left TO IN)
(0.01 right TO IN)
(0.01 shift TO JJ)
(0.01 left TO JJ)
(0.01 right TO JJ)
(0.00997 shift TO MD)
(0.01 left TO MD)
(0.00997 right TO MD)
(0.01002 shift TO NN)
(0.01 left TO NN)
(0.01008 right TO NN)
(0.01 shift TO NNP)
(0.01 left TO NNP)
(0.0101 right TO NNP)
(0.01011 shift TO NNS)
(0.01 left TO NNS)
(0.01012 right TO NNS)
(0.01005 shift TO POS)
(0.01 left TO POS)
(0.01001 right TO POS)
(0.00997 shift TO PRP)
(0.01 left TO PRP)
(0.01003 right TO PRP)
(0.01001 shift TO RB)
(0.01 left TO RB)
(0.00999 right TO RB)
(0.01 shift TO TO)
(0.01 left TO TO)
(0.01 right TO TO)
(0.00978 shift TO VB)
(0.01 left TO VB)
(0.00981 right TO VB)
(0.00999 shift TO VBD)
(0.01 left TO VBD)
(0.01 right TO VBD)
(0.01 shift TO VBG)
(0.01 left TO VBG)
(0.01002 right TO VBG)
(0.01001 shift TO VBN)
(0.01 left TO VBN)
(0.01 right TO VBN)
(0.00999 shift TO VBZ)
(0.01 left TO VBZ)
(0.01 right TO VBZ)
(0.01 shift TO WP)
(0.01 left TO WP)
(0.01 right TO WP)
(0.01 shift TO WRB)
(0.01 left TO WRB)
(0.01 right TO WRB)
(0.01002 shift UH COMMACHAR)
(0.01 left UH COMMACHAR)
(0.01 right UH COMMACHAR)
(0.00999 shift UH VBD)
(0.01 left UH VBD)
(0.01 right UH VBD)
(0.00999 shift UH VBZ)
(0.01 left UH VBZ)
(0.01 right UH VBZ)
(0.01 shift VB DOLLARSIGN)
(0.01 left VB DOLLARSIGN)
(0.01 right VB DOLLARSIGN)
(0.01 shift VB BACKQUOTEBACKQUOTE)
(0.01 left VB BACKQUOTEBACKQUOTE)
(0.01 right VB BACKQUOTEBACKQUOTE)
(0.01 shift VB PERIODCHAR)
(0.01 left VB PERIODCHAR)
(0.01 right VB PERIODCHAR)
(0.0099 shift COMMACHAR VB)
(0.01 left COMMACHAR VB)
(0.00995 right COMMACHAR VB)
(0.00999 shift VB COL)
(0.01 left VB COL)
(0.01001 right VB COL)
(0.00999 shift SINGLEQUOTESINGLEQUOTE VB)
(0.01 left SINGLEQUOTESINGLEQUOTE VB)
(0.01 right SINGLEQUOTESINGLEQUOTE VB)
(0.00997 shift VB SINGLEQUOTESINGLEQUOTE)
(0.01 left VB SINGLEQUOTESINGLEQUOTE)
(0.01003 right VB SINGLEQUOTESINGLEQUOTE)
(0.00997 shift VB COMMACHAR)
(0.01 left VB COMMACHAR)
(0.01003 right VB COMMACHAR)
(0.00995 shift BACKQUOTEBACKQUOTE VB)
(0.01 left BACKQUOTEBACKQUOTE VB)
(0.00998 right BACKQUOTEBACKQUOTE VB)
(0.00998 shift VB CC)
(0.01 left VB CC)
(0.01002 right VB CC)
(0.00998 shift VB CD)
(0.01 left VB CD)
(0.00992 right VB CD)
(0.0099 shift COMMACHAR VBD)
(0.01 left COMMACHAR VBD)
(0.00995 right COMMACHAR VBD)
(0.01001 shift VBD COL)
(0.01 left VBD COL)
(0.01001 right VBD COL)
(0.01001 shift VBD COMMACHAR)
(0.01 left VBD COMMACHAR)
(0.01001 right VBD COMMACHAR)
(0.00999 shift VBD PERIODCHAR)
(0.01 left VBD PERIODCHAR)
(0.01001 right VBD PERIODCHAR)
(0.00998 shift DOLLARSIGN VBD)
(0.01 left DOLLARSIGN VBD)
(0.00998 right DOLLARSIGN VBD)
(0.00998 shift VBD BACKQUOTEBACKQUOTE)
(0.01 left VBD BACKQUOTEBACKQUOTE)
(0.01002 right VBD BACKQUOTEBACKQUOTE)
(0.01002 shift VBD DOLLARSIGN)
(0.01 left VBD DOLLARSIGN)
(0.01 right VBD DOLLARSIGN)
(0.00997 shift COL VBD)
(0.01 left COL VBD)
(0.00999 right COL VBD)
(0.00997 shift VBD SINGLEQUOTESINGLEQUOTE)
(0.01 left VBD SINGLEQUOTESINGLEQUOTE)
(0.01003 right VBD SINGLEQUOTESINGLEQUOTE)
(0.00997 shift SINGLEQUOTESINGLEQUOTE VBD)
(0.01 left SINGLEQUOTESINGLEQUOTE VBD)
(0.00999 right SINGLEQUOTESINGLEQUOTE VBD)
(0.01005 shift BACKQUOTEBACKQUOTE VBD)
(0.01 left BACKQUOTEBACKQUOTE VBD)
(0.01001 right BACKQUOTEBACKQUOTE VBD)
(0.01001 shift VBD CC)
(0.01 left VBD CC)
(0.00999 right VBD CC)
(0.01004 shift VBD CD)
(0.01 left VBD CD)
(0.01001 right VBD CD)
(0.00995 shift VBD DT)
(0.01 left VBD DT)
(0.00996 right VBD DT)
(0.01001 shift VBD EX)
(0.01 left VBD EX)
(0.00999 right VBD EX)
(0.01001 shift VBD FW)
(0.01 left VBD FW)
(0.00999 right VBD FW)
(0.00999 shift VBD IN)
(0.01 left VBD IN)
(0.00995 right VBD IN)
(0.01003 shift VBD JJ)
(0.01 left VBD JJ)
(0.01002 right VBD JJ)
(0.00999 shift VBD JJR)
(0.01 left VBD JJR)
(0.01001 right VBD JJR)
(0.01 shift VBD JJS)
(0.01 left VBD JJS)
(0.01 right VBD JJS)
(0.00997 shift VBD -LRB-)
(0.01 left VBD -LRB-)
(0.01003 right VBD -LRB-)
(0.01003 shift VBD MD)
(0.01 left VBD MD)
(0.00996 right VBD MD)
(0.01003 shift VBD NN)
(0.01 left VBD NN)
(0.01007 right VBD NN)
(0.00999 shift VBD NNP)
(0.01 left VBD NNP)
(0.01003 right VBD NNP)
(0.01004 shift VBD NNS)
(0.01 left VBD NNS)
(0.01008 right VBD NNS)
(0.01003 shift VBD POS)
(0.01 left VBD POS)
(0.01 right VBD POS)
(0.01 shift VBD PRPDOLLARSIGN)
(0.01 left VBD PRPDOLLARSIGN)
(0.01 right VBD PRPDOLLARSIGN)
(0.00996 shift VBD PRP)
(0.01 left VBD PRP)
(0.01004 right VBD PRP)
(0.00997 shift VBD RB)
(0.01 left VBD RB)
(0.01003 right VBD RB)
(0.00999 shift VBD RBR)
(0.01 left VBD RBR)
(0.01001 right VBD RBR)
(0.00997 shift VBD RBS)
(0.01 left VBD RBS)
(0.01003 right VBD RBS)
(0.01 shift VBD RP)
(0.01 left VBD RP)
(0.01 right VBD RP)
(0.00999 shift VBD -RRB-)
(0.01 left VBD -RRB-)
(0.01001 right VBD -RRB-)
(0.01 shift VB DT)
(0.01 left VB DT)
(0.01 right VB DT)
(0.00999 shift VBD TO)
(0.01 left VBD TO)
(0.01001 right VBD TO)
(0.01005 shift VBD VB)
(0.01 left VBD VB)
(0.00999 right VBD VB)
(0.00999 shift VBD VBD)
(0.01 left VBD VBD)
(0.00995 right VBD VBD)
(0.01001 shift VBD VBG)
(0.01 left VBD VBG)
(0.00999 right VBD VBG)
(0.01003 shift VBD VBN)
(0.01 left VBD VBN)
(0.01 right VBD VBN)
(0.01001 shift VBD VBP)
(0.01 left VBD VBP)
(0.00998 right VBD VBP)
(0.00999 shift VBD VBZ)
(0.01 left VBD VBZ)
(0.00994 right VBD VBZ)
(0.01001 shift VBD WDT)
(0.01 left VBD WDT)
(0.00999 right VBD WDT)
(0.01001 shift VBD WP)
(0.01 left VBD WP)
(0.00999 right VBD WP)
(0.01001 shift VBD WRB)
(0.01 left VBD WRB)
(0.01001 right VBD WRB)
(0.01 shift VBG COMMACHAR)
(0.01 left VBG COMMACHAR)
(0.01 right VBG COMMACHAR)
(0.01 shift VBG COL)
(0.01 left VBG COL)
(0.01 right VBG COL)
(0.00999 shift VBG SINGLEQUOTESINGLEQUOTE)
(0.01 left VBG SINGLEQUOTESINGLEQUOTE)
(0.01001 right VBG SINGLEQUOTESINGLEQUOTE)
(0.00998 shift VBG BACKQUOTEBACKQUOTE)
(0.01 left VBG BACKQUOTEBACKQUOTE)
(0.01002 right VBG BACKQUOTEBACKQUOTE)
(0.01002 shift DOLLARSIGN VBG)
(0.01 left DOLLARSIGN VBG)
(0.01 right DOLLARSIGN VBG)
(0.01003 shift VBG DOLLARSIGN)
(0.01 left VBG DOLLARSIGN)
(0.01001 right VBG DOLLARSIGN)
(0.01005 shift COMMACHAR VBG)
(0.01 left COMMACHAR VBG)
(0.01002 right COMMACHAR VBG)
(0.00994 shift COL VBG)
(0.01 left COL VBG)
(0.00997 right COL VBG)
(0.01 shift VBG CC)
(0.01 left VBG CC)
(0.01 right VBG CC)
(0.01002 shift VBG CD)
(0.01 left VBG CD)
(0.01 right VBG CD)
(0.01 shift VBG DT)
(0.01 left VBG DT)
(0.01 right VBG DT)
(0.01002 shift VBG IN)
(0.01 left VBG IN)
(0.01 right VBG IN)
(0.01 shift VBG JJ)
(0.01 left VBG JJ)
(0.00998 right VBG JJ)
(0.01004 shift VBG JJR)
(0.01 left VBG JJR)
(0.00999 right VBG JJR)
(0.01 shift VBG JJS)
(0.01 left VBG JJS)
(0.01 right VBG JJS)
(0.00998 shift VBG MD)
(0.01 left VBG MD)
(0.00998 right VBG MD)
(0.01 shift VBG NN)
(0.01 left VBG NN)
(0.01002 right VBG NN)
(0.01002 shift VBG NNP)
(0.01 left VBG NNP)
(0.01002 right VBG NNP)
(0.00999 shift VBG NNS)
(0.01 left VBG NNS)
(0.01004 right VBG NNS)
(0.01 shift VBG POS)
(0.01 left VBG POS)
(0.01 right VBG POS)
(0.00997 shift VBG PRP)
(0.01 left VBG PRP)
(0.01003 right VBG PRP)
(0.00999 shift VBG RB)
(0.01 left VBG RB)
(0.00999 right VBG RB)
(0.01 shift VBG RBR)
(0.01 left VBG RBR)
(0.01 right VBG RBR)
(0.00995 shift VBG RP)
(0.01 left VBG RP)
(0.00999 right VBG RP)
(0.01 shift VBG TO)
(0.01 left VBG TO)
(0.01 right VBG TO)
(0.01007 shift VBG VB)
(0.01 left VBG VB)
(0.01004 right VBG VB)
(0.00998 shift VBG VBD)
(0.01 left VBG VBD)
(0.00998 right VBG VBD)
(0.01002 shift VBG VBG)
(0.01 left VBG VBG)
(0.01 right VBG VBG)
(0.01004 shift VBG VBN)
(0.01 left VBG VBN)
(0.01 right VBG VBN)
(0.00996 shift VBG VBP)
(0.01 left VBG VBP)
(0.00998 right VBG VBP)
(0.01 shift VBG VBZ)
(0.01 left VBG VBZ)
(0.00999 right VBG VBZ)
(0.01 shift VB IN)
(0.01 left VB IN)
(0.01 right VB IN)
(0.01 shift VB JJ)
(0.01 left VB JJ)
(0.01 right VB JJ)
(0.01 shift VB JJR)
(0.01 left VB JJR)
(0.01 right VB JJR)
(0.00999 shift VB JJS)
(0.01 left VB JJS)
(0.01001 right VB JJS)
(0.00999 shift VB -LRB-)
(0.01 left VB -LRB-)
(0.01001 right VB -LRB-)
(0.00995 shift VB MD)
(0.01 left VB MD)
(0.00996 right VB MD)
(0.01 shift VBN BACKQUOTEBACKQUOTE)
(0.01 left VBN BACKQUOTEBACKQUOTE)
(0.01 right VBN BACKQUOTEBACKQUOTE)
(0.01 shift VBN HASHSIGN)
(0.01 left VBN HASHSIGN)
(0.01 right VBN HASHSIGN)
(0.01 shift VBN DOLLARSIGN)
(0.01 left VBN DOLLARSIGN)
(0.01001 right VBN DOLLARSIGN)
(0.01 shift VBN COL)
(0.01 left VBN COL)
(0.01 right VBN COL)
(0.01 shift VBN SINGLEQUOTESINGLEQUOTE)
(0.01 left VBN SINGLEQUOTESINGLEQUOTE)
(0.01 right VBN SINGLEQUOTESINGLEQUOTE)
(0.00999 shift COL VBN)
(0.01 left COL VBN)
(0.00998 right COL VBN)
(0.00998 shift BACKQUOTEBACKQUOTE VBN)
(0.01 left BACKQUOTEBACKQUOTE VBN)
(0.00999 right BACKQUOTEBACKQUOTE VBN)
(0.00998 shift VBN COMMACHAR)
(0.01 left VBN COMMACHAR)
(0.01002 right VBN COMMACHAR)
(0.01003 shift DOLLARSIGN VBN)
(0.01 left DOLLARSIGN VBN)
(0.01002 right DOLLARSIGN VBN)
(0.00996 shift COMMACHAR VBN)
(0.01 left COMMACHAR VBN)
(0.00998 right COMMACHAR VBN)
(0.00999 shift VBN CC)
(0.01 left VBN CC)
(0.01001 right VBN CC)
(0.01003 shift VBN CD)
(0.01 left VBN CD)
(0.01002 right VBN CD)
(0.01002 shift VBN IN)
(0.01 left VBN IN)
(0.01 right VBN IN)
(0.01002 shift VBN JJ)
(0.01 left VBN JJ)
(0.01003 right VBN JJ)
(0.01 shift VBN JJR)
(0.01 left VBN JJR)
(0.01 right VBN JJR)
(0.01001 shift VBN JJS)
(0.01 left VBN JJS)
(0.00999 right VBN JJS)
(0.00996 shift VBN MD)
(0.01 left VBN MD)
(0.00998 right VBN MD)
(0.01004 shift VB NN)
(0.01 left VB NN)
(0.01008 right VB NN)
(0.01 shift VBN NN)
(0.01 left VBN NN)
(0.00997 right VBN NN)
(0.00997 shift VBN NNP)
(0.01 left VBN NNP)
(0.01002 right VBN NNP)
(0.00992 shift VBN NNS)
(0.01 left VBN NNS)
(0.00996 right VBN NNS)
(0.01 shift VB NNP)
(0.01 left VB NNP)
(0.01007 right VB NNP)
(0.01006 shift VB NNS)
(0.01 left VB NNS)
(0.01011 right VB NNS)
(0.01004 shift VBN POS)
(0.01 left VBN POS)
(0.01 right VBN POS)
(0.01 shift VBN RB)
(0.01 left VBN RB)
(0.01002 right VBN RB)
(0.01002 shift VBN RBR)
(0.01 left VBN RBR)
(0.01 right VBN RBR)
(0.01 shift VBN RBS)
(0.01 left VBN RBS)
(0.01 right VBN RBS)
(0.00999 shift VBN RP)
(0.01 left VBN RP)
(0.01003 right VBN RP)
(0.00999 shift VBN -RRB-)
(0.01 left VBN -RRB-)
(0.01001 right VBN -RRB-)
(0.01 shift VBN TO)
(0.01 left VBN TO)
(0.01 right VBN TO)
(0.01009 shift VBN VB)
(0.01 left VBN VB)
(0.01003 right VBN VB)
(0.01003 shift VBN VBD)
(0.01 left VBN VBD)
(0.01001 right VBN VBD)
(0.01003 shift VBN VBG)
(0.01 left VBN VBG)
(0.01 right VBN VBG)
(0.01005 shift VBN VBN)
(0.01 left VBN VBN)
(0.01002 right VBN VBN)
(0.00992 shift VBN VBP)
(0.01 left VBN VBP)
(0.00995 right VBN VBP)
(0.00994 shift VBN VBZ)
(0.01 left VBN VBZ)
(0.00994 right VBN VBZ)
(0.01 shift VBN WP)
(0.01 left VBN WP)
(0.01 right VBN WP)
(0.01 shift VBN WRB)
(0.01 left VBN WRB)
(0.01 right VBN WRB)
(0.01 shift VBP BACKQUOTEBACKQUOTE)
(0.01 left VBP BACKQUOTEBACKQUOTE)
(0.01 right VBP BACKQUOTEBACKQUOTE)
(0.01 shift VBP DOLLARSIGN)
(0.01 left VBP DOLLARSIGN)
(0.01 right VBP DOLLARSIGN)
(0.01 shift VBP COL)
(0.01 left VBP COL)
(0.01 right VBP COL)
(0.01001 shift BACKQUOTEBACKQUOTE VBP)
(0.01 left BACKQUOTEBACKQUOTE VBP)
(0.01 right BACKQUOTEBACKQUOTE VBP)
(0.00999 shift VBP COMMACHAR)
(0.01 left VBP COMMACHAR)
(0.01001 right VBP COMMACHAR)
(0.00999 shift SINGLEQUOTESINGLEQUOTE VBP)
(0.01 left SINGLEQUOTESINGLEQUOTE VBP)
(0.01 right SINGLEQUOTESINGLEQUOTE VBP)
(0.00997 shift VBP SINGLEQUOTESINGLEQUOTE)
(0.01 left VBP SINGLEQUOTESINGLEQUOTE)
(0.01003 right VBP SINGLEQUOTESINGLEQUOTE)
(0.00996 shift COMMACHAR VBP)
(0.01 left COMMACHAR VBP)
(0.00998 right COMMACHAR VBP)
(0.00995 shift COL VBP)
(0.01 left COL VBP)
(0.00998 right COL VBP)
(0.01006 shift DOLLARSIGN VBP)
(0.01 left DOLLARSIGN VBP)
(0.01003 right DOLLARSIGN VBP)
(0.01 shift VBP CC)
(0.01 left VBP CC)
(0.01002 right VBP CC)
(0.01 shift VBP CD)
(0.01 left VBP CD)
(0.01 right VBP CD)
(0.00999 shift VBP DT)
(0.01 left VBP DT)
(0.01001 right VBP DT)
(0.01001 shift VBP IN)
(0.01 left VBP IN)
(0.00999 right VBP IN)
(0.01002 shift VBP JJ)
(0.01 left VBP JJ)
(0.01 right VBP JJ)
(0.01003 shift VBP JJR)
(0.01 left VBP JJR)
(0.01 right VBP JJR)
(0.01001 shift VBP MD)
(0.01 left VBP MD)
(0.00999 right VBP MD)
(0.01 shift VBP NN)
(0.01 left VBP NN)
(0.01002 right VBP NN)
(0.01 shift VBP NNP)
(0.01 left VBP NNP)
(0.01 right VBP NNP)
(0.01008 shift VBP NNS)
(0.01 left VBP NNS)
(0.01006 right VBP NNS)
(0.01005 shift VB POS)
(0.01 left VB POS)
(0.01 right VB POS)
(0.01 shift VBP PDT)
(0.01 left VBP PDT)
(0.01 right VBP PDT)
(0.00998 shift VBP PRP)
(0.01 left VBP PRP)
(0.01002 right VBP PRP)
(0.00997 shift VBP RB)
(0.01 left VBP RB)
(0.01005 right VBP RB)
(0.01 shift VBP RBR)
(0.01 left VBP RBR)
(0.01 right VBP RBR)
(0.01 shift VBP RP)
(0.01 left VBP RP)
(0.01 right VBP RP)
(0.01001 shift VB PRPDOLLARSIGN)
(0.01 left VB PRPDOLLARSIGN)
(0.00999 right VB PRPDOLLARSIGN)
(0.00997 shift VB PRP)
(0.01 left VB PRP)
(0.01003 right VB PRP)
(0.01001 shift VBP TO)
(0.01 left VBP TO)
(0.00999 right VBP TO)
(0.01004 shift VBP VB)
(0.01 left VBP VB)
(0.01003 right VBP VB)
(0.01 shift VBP VBD)
(0.01 left VBP VBD)
(0.00998 right VBP VBD)
(0.01001 shift VBP VBG)
(0.01 left VBP VBG)
(0.01001 right VBP VBG)
(0.01002 shift VBP VBN)
(0.01 left VBP VBN)
(0.01002 right VBP VBN)
(0.00995 shift VBP VBP)
(0.01 left VBP VBP)
(0.00996 right VBP VBP)
(0.00995 shift VBP VBZ)
(0.01 left VBP VBZ)
(0.00995 right VBP VBZ)
(0.01002 shift VBP WDT)
(0.01 left VBP WDT)
(0.00998 right VBP WDT)
(0.01 shift VBP WP)
(0.01 left VBP WP)
(0.01 right VBP WP)
(0.01 shift VBP WRB)
(0.01 left VBP WRB)
(0.01002 right VBP WRB)
(0.00999 shift VB RB)
(0.01 left VB RB)
(0.01001 right VB RB)
(0.01002 shift VB RBR)
(0.01 left VB RBR)
(0.00998 right VB RBR)
(0.01 shift VB RP)
(0.01 left VB RP)
(0.01 right VB RP)
(0.00999 shift VB -RRB-)
(0.01 left VB -RRB-)
(0.01001 right VB -RRB-)
(0.01 shift VB TO)
(0.01 left VB TO)
(0.01 right VB TO)
(0.01003 shift VB VB)
(0.01 left VB VB)
(0.01001 right VB VB)
(0.01006 shift VB VBD)
(0.01 left VB VBD)
(0.00998 right VB VBD)
(0.01001 shift VB VBG)
(0.01 left VB VBG)
(0.00999 right VB VBG)
(0.01 shift VB VBN)
(0.01 left VB VBN)
(0.00994 right VB VBN)
(0.01003 shift VB VBP)
(0.01 left VB VBP)
(0.01 right VB VBP)
(0.00997 shift VB VBZ)
(0.01 left VB VBZ)
(0.00997 right VB VBZ)
(0.01002 shift VB WDT)
(0.01 left VB WDT)
(0.00998 right VB WDT)
(0.01 shift VB WP)
(0.01 left VB WP)
(0.01 right VB WP)
(0.01001 shift VB WRB)
(0.01 left VB WRB)
(0.00999 right VB WRB)
(0.01 shift VBZ COMMACHAR)
(0.01 left VBZ COMMACHAR)
(0.01 right VBZ COMMACHAR)
(0.01 shift VBZ PERIODCHAR)
(0.01 left VBZ PERIODCHAR)
(0.01 right VBZ PERIODCHAR)
(0.00999 shift VBZ BACKQUOTEBACKQUOTE)
(0.01 left VBZ BACKQUOTEBACKQUOTE)
(0.01001 right VBZ BACKQUOTEBACKQUOTE)
(0.01001 shift SINGLEQUOTESINGLEQUOTE VBZ)
(0.01 left SINGLEQUOTESINGLEQUOTE VBZ)
(0.01 right SINGLEQUOTESINGLEQUOTE VBZ)
(0.01001 shift VBZ COL)
(0.01 left VBZ COL)
(0.00999 right VBZ COL)
(0.01002 shift BACKQUOTEBACKQUOTE VBZ)
(0.01 left BACKQUOTEBACKQUOTE VBZ)
(0.01 right BACKQUOTEBACKQUOTE VBZ)
(0.00998 shift VBZ SINGLEQUOTESINGLEQUOTE)
(0.01 left VBZ SINGLEQUOTESINGLEQUOTE)
(0.01002 right VBZ SINGLEQUOTESINGLEQUOTE)
(0.01003 shift VBZ DOLLARSIGN)
(0.01 left VBZ DOLLARSIGN)
(0.01 right VBZ DOLLARSIGN)
(0.00996 shift COL VBZ)
(0.01 left COL VBZ)
(0.00998 right COL VBZ)
(0.00992 shift COMMACHAR VBZ)
(0.01 left COMMACHAR VBZ)
(0.00996 right COMMACHAR VBZ)
(0.00999 shift VBZ CC)
(0.01 left VBZ CC)
(0.01001 right VBZ CC)
(0.01003 shift VBZ CD)
(0.01 left VBZ CD)
(0.00997 right VBZ CD)
(0.00999 shift VBZ DT)
(0.01 left VBZ DT)
(0.01001 right VBZ DT)
(0.00998 shift VBZ IN)
(0.01 left VBZ IN)
(0.00996 right VBZ IN)
(0.01001 shift VBZ JJ)
(0.01 left VBZ JJ)
(0.01004 right VBZ JJ)
(0.01001 shift VBZ JJR)
(0.01 left VBZ JJR)
(0.00999 right VBZ JJR)
(0.01001 shift VBZ JJS)
(0.01 left VBZ JJS)
(0.00999 right VBZ JJS)
(0.01 shift VBZ MD)
(0.01 left VBZ MD)
(0.01 right VBZ MD)
(0.01004 shift VBZ NN)
(0.01 left VBZ NN)
(0.01005 right VBZ NN)
(0.01 shift VBZ NNP)
(0.01 left VBZ NNP)
(0.01002 right VBZ NNP)
(0.01005 shift VBZ NNS)
(0.01 left VBZ NNS)
(0.01005 right VBZ NNS)
(0.01002 shift VBZ POS)
(0.01 left VBZ POS)
(0.01 right VBZ POS)
(0.01 shift VBZ PRPDOLLARSIGN)
(0.01 left VBZ PRPDOLLARSIGN)
(0.01 right VBZ PRPDOLLARSIGN)
(0.00999 shift VBZ PRP)
(0.01 left VBZ PRP)
(0.01001 right VBZ PRP)
(0.00997 shift VBZ RB)
(0.01 left VBZ RB)
(0.01005 right VBZ RB)
(0.00999 shift VBZ RBR)
(0.01 left VBZ RBR)
(0.01001 right VBZ RBR)
(0.00999 shift VBZ RP)
(0.01 left VBZ RP)
(0.01001 right VBZ RP)
(0.01 shift VBZ TO)
(0.01 left VBZ TO)
(0.01002 right VBZ TO)
(0.01001 shift VBZ VB)
(0.01 left VBZ VB)
(0.01 right VBZ VB)
(0.01 shift VBZ VBD)
(0.01 left VBZ VBD)
(0.00998 right VBZ VBD)
(0.01 shift VBZ VBG)
(0.01 left VBZ VBG)
(0.01 right VBZ VBG)
(0.01003 shift VBZ VBN)
(0.01 left VBZ VBN)
(0.01 right VBZ VBN)
(0.01 shift VBZ VBP)
(0.01 left VBZ VBP)
(0.00999 right VBZ VBP)
(0.00996 shift VBZ VBZ)
(0.01 left VBZ VBZ)
(0.00995 right VBZ VBZ)
(0.01001 shift VBZ WP)
(0.01 left VBZ WP)
(0.00999 right VBZ WP)
(0.00999 shift VBZ WRB)
(0.01 left VBZ WRB)
(0.01001 right VBZ WRB)
(0.00999 shift WDT COMMACHAR)
(0.01 left WDT COMMACHAR)
(0.01001 right WDT COMMACHAR)
(0.01002 shift WDT CC)
(0.01 left WDT CC)
(0.00998 right WDT CC)
(0.01 shift WDT DT)
(0.01 left WDT DT)
(0.01 right WDT DT)
(0.01002 shift WDT IN)
(0.01 left WDT IN)
(0.00998 right WDT IN)
(0.01004 shift WDT MD)
(0.01 left WDT MD)
(0.01003 right WDT MD)
(0.00998 shift WDT NN)
(0.01 left WDT NN)
(0.01005 right WDT NN)
(0.01 shift WDT NNP)
(0.01 left WDT NNP)
(0.01 right WDT NNP)
(0.01002 shift WDT NNS)
(0.01 left WDT NNS)
(0.01002 right WDT NNS)
(0.01002 shift WDT PRP)
(0.01 left WDT PRP)
(0.00998 right WDT PRP)
(0.01003 shift WDT RB)
(0.01 left WDT RB)
(0.00997 right WDT RB)
(0.01 shift WDT -RRB-)
(0.01 left WDT -RRB-)
(0.01 right WDT -RRB-)
(0.01009 shift WDT VBD)
(0.01 left WDT VBD)
(0.01009 right WDT VBD)
(0.01002 shift WDT VBP)
(0.01 left WDT VBP)
(0.01002 right WDT VBP)
(0.01006 shift WDT VBZ)
(0.01 left WDT VBZ)
(0.01007 right WDT VBZ)
(0.0099 shift WDT WDT)
(0.01 left WDT WDT)
(0.00995 right WDT WDT)
(0.00991 shift WDT WRB)
(0.01 left WDT WRB)
(0.00996 right WDT WRB)
(0.01 shift WP COMMACHAR)
(0.01 left WP COMMACHAR)
(0.01 right WP COMMACHAR)
(0.00992 shift COMMACHAR WPDOLLARSIGN)
(0.01 left COMMACHAR WPDOLLARSIGN)
(0.00996 right COMMACHAR WPDOLLARSIGN)
(0.00999 shift WPDOLLARSIGN CD)
(0.01 left WPDOLLARSIGN CD)
(0.01001 right WPDOLLARSIGN CD)
(0.01 shift WPDOLLARSIGN IN)
(0.01 left WPDOLLARSIGN IN)
(0.01 right WPDOLLARSIGN IN)
(0.00998 shift WPDOLLARSIGN JJS)
(0.01 left WPDOLLARSIGN JJS)
(0.01002 right WPDOLLARSIGN JJS)
(0.01 shift WP LS)
(0.01 left WP LS)
(0.01 right WP LS)
(0.01001 shift WP MD)
(0.01 left WP MD)
(0.01002 right WP MD)
(0.01003 shift WPDOLLARSIGN MD)
(0.01 left WPDOLLARSIGN MD)
(0.01 right WPDOLLARSIGN MD)
(0.00998 shift WPDOLLARSIGN NN)
(0.01 left WPDOLLARSIGN NN)
(0.01005 right WPDOLLARSIGN NN)
(0.01003 shift WP NN)
(0.01 left WP NN)
(0.01002 right WP NN)
(0.01 shift WP NNP)
(0.01 left WP NNP)
(0.01 right WP NNP)
(0.00999 shift WPDOLLARSIGN NNS)
(0.01 left WPDOLLARSIGN NNS)
(0.01004 right WPDOLLARSIGN NNS)
(0.01002 shift WP NNS)
(0.01 left WP NNS)
(0.00998 right WP NNS)
(0.01 shift WP PRP)
(0.01 left WP PRP)
(0.01 right WP PRP)
(0.01 shift WP RB)
(0.01 left WP RB)
(0.01 right WP RB)
(0.01 shift WP TO)
(0.01 left WP TO)
(0.01 right WP TO)
(0.01 shift WPDOLLARSIGN TO)
(0.01 left WPDOLLARSIGN TO)
(0.01 right WPDOLLARSIGN TO)
(0.01 shift WPDOLLARSIGN VB)
(0.01 left WPDOLLARSIGN VB)
(0.01 right WPDOLLARSIGN VB)
(0.01002 shift WPDOLLARSIGN VBD)
(0.01 left WPDOLLARSIGN VBD)
(0.01001 right WPDOLLARSIGN VBD)
(0.01002 shift WP VBD)
(0.01 left WP VBD)
(0.01006 right WP VBD)
(0.01 shift WP VBP)
(0.01 left WP VBP)
(0.01004 right WP VBP)
(0.01007 shift WPDOLLARSIGN VBP)
(0.01 left WPDOLLARSIGN VBP)
(0.01 right WPDOLLARSIGN VBP)
(0.00999 shift WP VBZ)
(0.01 left WP VBZ)
(0.01002 right WP VBZ)
(0.01004 shift WPDOLLARSIGN VBZ)
(0.01 left WPDOLLARSIGN VBZ)
(0.01001 right WPDOLLARSIGN VBZ)
(0.01 shift WRB SINGLEQUOTESINGLEQUOTE)
(0.01 left WRB SINGLEQUOTESINGLEQUOTE)
(0.01 right WRB SINGLEQUOTESINGLEQUOTE)
(0.01002 shift WRB COMMACHAR)
(0.01 left WRB COMMACHAR)
(0.00998 right WRB COMMACHAR)
(0.01004 shift BACKQUOTEBACKQUOTE WRB)
(0.01 left BACKQUOTEBACKQUOTE WRB)
(0.01 right BACKQUOTEBACKQUOTE WRB)
(0.00994 shift COMMACHAR WRB)
(0.01 left COMMACHAR WRB)
(0.00997 right COMMACHAR WRB)
(0.00986 shift WRB JJ)
(0.01 left WRB JJ)
(0.01 right WRB JJ)
(0.01 shift WRB MD)
(0.01 left WRB MD)
(0.01002 right WRB MD)
(0.01003 shift WRB NN)
(0.01 left WRB NN)
(0.00999 right WRB NN)
(0.01002 shift WRB NNP)
(0.01 left WRB NNP)
(0.00998 right WRB NNP)
(0.01003 shift WRB NNS)
(0.01 left WRB NNS)
(0.00996 right WRB NNS)
(0.01001 shift WRB POS)
(0.01 left WRB POS)
(0.01 right WRB POS)
(0.01001 shift WRB PRP)
(0.01 left WRB PRP)
(0.00999 right WRB PRP)
(0.00988 shift WRB RB)
(0.01 left WRB RB)
(0.00998 right WRB RB)
(0.01 shift WRB VB)
(0.01 left WRB VB)
(0.00998 right WRB VB)
(0.01008 shift WRB VBD)
(0.01 left WRB VBD)
(0.01008 right WRB VBD)
(0.00999 shift WRB VBN)
(0.01 left WRB VBN)
(0.01001 right WRB VBN)
(0.01006 shift WRB VBP)
(0.01 left WRB VBP)
(0.01004 right WRB VBP)
(0.01006 shift WRB VBZ)
(0.01 left WRB VBZ)
(0.01008 right WRB VBZ)
))

(conditional 'leftpos
:conditions '((Selected (state 0) (operator none))
(stacktop (idx (i)))
(stack (idx (i)) (id (s1id)))
(stack (idx (i -1)) (id (s2id)))
(sentence (id (s1id)) (word (w1)) (tag (t1)))
(sentence (id (s2id)) (word (w2)) (tag (t2))))
:actions '((Selected (state 0) (operator (a))))
:FUNCTION-VARIABLE-NAMES '(a t2)
:function '(
(0.01 shift BACKQUOTEBACKQUOTE)
(0.01 left BACKQUOTEBACKQUOTE)
(0.00986 right BACKQUOTEBACKQUOTE)
(0.01001 shift COMMACHAR)
(0.01 left COMMACHAR)
(0.00985 right COMMACHAR)
(0.00999 shift PERIODCHAR)
(0.01 left PERIODCHAR)
(0.00995 right PERIODCHAR)
(0.01001 shift COL)
(0.01 left COL)
(0.00986 right COL)
(0.00998 shift SINGLEQUOTESINGLEQUOTE)
(0.01 left SINGLEQUOTESINGLEQUOTE)
(0.00991 right SINGLEQUOTESINGLEQUOTE)
(0.00997 shift HASHSIGN)
(0.01 left HASHSIGN)
(0.00994 right HASHSIGN)
(0.00996 shift DOLLARSIGN)
(0.01 left DOLLARSIGN)
(0.01 right DOLLARSIGN)
(0.01 shift CC)
(0.01 left CC)
(0.0099 right CC)
(0.00996 shift CD)
(0.01 left CD)
(0.00996 right CD)
(0.00996 shift DT)
(0.01 left DT)
(0.00993 right DT)
(0.00994 shift EX)
(0.01 left EX)
(0.00997 right EX)
(0.01009 shift IN)
(0.01 left IN)
(0.01011 right IN)
(0.00998 shift JJ)
(0.01 left JJ)
(0.01 right JJ)
(0.00997 shift JJR)
(0.01 left JJR)
(0.00995 right JJR)
(0.00995 shift JJS)
(0.01 left JJS)
(0.00998 right JJS)
(0.00995 shift -LRB-)
(0.01 left -LRB-)
(0.00987 right -LRB-)
(0.00999 shift LS)
(0.01 left LS)
(0.00998 right LS)
(0.0103 shift LW)
(0.01 left LW)
(0.01004 right LW)
(0.01004 shift MD)
(0.01 left MD)
(0.01007 right MD)
(0.00999 shift NN)
(0.01 left NN)
(0.01 right NN)
(0.00996 shift NNP)
(0.01 left NNP)
(0.00999 right NNP)
(0.01 shift NNPS)
(0.01 left NNPS)
(0.01 right NNPS)
(0.00998 shift NNS)
(0.01 left NNS)
(0.00999 right NNS)
(0.00993 shift PDT)
(0.01 left PDT)
(0.00995 right PDT)
(0.00999 shift POS)
(0.01 left POS)
(0.00991 right POS)
(0.00998 shift PRPDOLLARSIGN)
(0.01 left PRPDOLLARSIGN)
(0.00991 right PRPDOLLARSIGN)
(0.00993 shift PRP)
(0.01 left PRP)
(0.00989 right PRP)
(0.00993 shift RB)
(0.01 left RB)
(0.00996 right RB)
(0.00988 shift RBR)
(0.01 left RBR)
(0.00992 right RBR)
(0.0099 shift RBS)
(0.01 left RBS)
(0.00992 right RBS)
(0.01004 shift RP)
(0.01 left RP)
(0.01005 right RP)
(0.00997 shift -RRB-)
(0.01 left -RRB-)
(0.00996 right -RRB-)
(0.01003 shift TO)
(0.01 left TO)
(0.01007 right TO)
(0.01 shift UH)
(0.01 left UH)
(0.00999 right UH)
(0.01009 shift VB)
(0.01 left VB)
(0.01012 right VB)
(0.0101 shift VBD)
(0.01 left VBD)
(0.01014 right VBD)
(0.01005 shift VBG)
(0.01 left VBG)
(0.01007 right VBG)
(0.01003 shift VBN)
(0.01 left VBN)
(0.01006 right VBN)
(0.0101 shift VBP)
(0.01 left VBP)
(0.01012 right VBP)
(0.01011 shift VBZ)
(0.01 left VBZ)
(0.01012 right VBZ)
(0.01012 shift WDT)
(0.01 left WDT)
(0.01009 right WDT)
(0.0101 shift WPDOLLARSIGN)
(0.01 left WPDOLLARSIGN)
(0.01016 right WPDOLLARSIGN)
(0.01014 shift WP)
(0.01 left WP)
(0.01011 right WP)
(0.0101 shift WRB)
(0.01 left WRB)
(0.01007 right WRB)
))

(conditional 'rightpos
:conditions '((Selected (state 0) (operator none))
(stacktop (idx (i)))
(stack (idx (i)) (id (s1id)))
(stack (idx (i -1)) (id (s2id)))
(sentence (id (s1id)) (word (w1)) (tag (t1)))
(sentence (id (s2id)) (word (w2)) (tag (t2))))
:actions '((Selected (state 0) (operator (a))))
:FUNCTION-VARIABLE-NAMES '(a t1)
:function '(
(0.01 shift PERIODCHAR)
(0.01 left PERIODCHAR)
(0.01013 right PERIODCHAR)
(0.0101 shift COMMACHAR)
(0.01 left COMMACHAR)
(0.01014 right COMMACHAR)
(0.01001 shift HASHSIGN)
(0.01 left HASHSIGN)
(0.01001 right HASHSIGN)
(0.00997 shift DOLLARSIGN)
(0.01 left DOLLARSIGN)
(0.00996 right DOLLARSIGN)
(0.01003 shift SINGLEQUOTESINGLEQUOTE)
(0.01 left SINGLEQUOTESINGLEQUOTE)
(0.01014 right SINGLEQUOTESINGLEQUOTE)
(0.01009 shift BACKQUOTEBACKQUOTE)
(0.01 left BACKQUOTEBACKQUOTE)
(0.01009 right BACKQUOTEBACKQUOTE)
(0.01009 shift COL)
(0.01 left COL)
(0.0101 right COL)
(0.01009 shift CC)
(0.01 left CC)
(0.01014 right CC)
(0.01 shift CD)
(0.01 left CD)
(0.00998 right CD)
(0.01006 shift DT)
(0.01 left DT)
(0.00998 right DT)
(0.01006 shift EX)
(0.01 left EX)
(0.00997 right EX)
(0.01001 shift FW)
(0.01 left FW)
(0.00999 right FW)
(0.01003 shift IN)
(0.01 left IN)
(0.01004 right IN)
(0.01 shift JJ)
(0.01 left JJ)
(0.00994 right JJ)
(0.00997 shift JJR)
(0.01 left JJR)
(0.00995 right JJR)
(0.00998 shift JJS)
(0.01 left JJS)
(0.00998 right JJS)
(0.01008 shift -LRB-)
(0.01 left -LRB-)
(0.01003 right -LRB-)
(0.01002 shift LS)
(0.01 left LS)
(0.01 right LS)
(0.00991 shift MD)
(0.01 left MD)
(0.00988 right MD)
(0.00995 shift NN)
(0.01 left NN)
(0.00989 right NN)
(0.01 shift NNP)
(0.01 left NNP)
(0.0099 right NNP)
(0.01001 shift NNPS)
(0.01 left NNPS)
(0.01 right NNPS)
(0.00992 shift NNS)
(0.01 left NNS)
(0.00987 right NNS)
(0.01003 shift PDT)
(0.01 left PDT)
(0.01004 right PDT)
(0.00992 shift POS)
(0.01 left POS)
(0.00985 right POS)
(0.0101 shift PRP)
(0.01 left PRP)
(0.01003 right PRP)
(0.01006 shift PRPDOLLARSIGN)
(0.01 left PRPDOLLARSIGN)
(0.00997 right PRPDOLLARSIGN)
(0.01005 shift RB)
(0.01 left RB)
(0.01001 right RB)
(0.01001 shift RBR)
(0.01 left RBR)
(0.00999 right RBR)
(0.01005 shift RBS)
(0.01 left RBS)
(0.01003 right RBS)
(0.0099 shift RP)
(0.01 left RP)
(0.01006 right RP)
(0.01001 shift -RRB-)
(0.01 left -RRB-)
(0.01014 right -RRB-)
(0.01008 shift TO)
(0.01 left TO)
(0.01005 right TO)
(0.01003 shift UH)
(0.01 left UH)
(0.01001 right UH)
(0.00996 shift VB)
(0.01 left VB)
(0.00992 right VB)
(0.00987 shift VBD)
(0.01 left VBD)
(0.00985 right VBD)
(0.01004 shift VBG)
(0.01 left VBG)
(0.00999 right VBG)
(0.01 shift VBN)
(0.01 left VBN)
(0.00996 right VBN)
(0.00987 shift VBP)
(0.01 left VBP)
(0.00987 right VBP)
(0.00987 shift VBZ)
(0.01 left VBZ)
(0.00986 right VBZ)
(0.01003 shift WDT)
(0.01 left WDT)
(0.01 right WDT)
(0.01003 shift WPDOLLARSIGN)
(0.01 left WPDOLLARSIGN)
(0.00998 right WPDOLLARSIGN)
(0.01009 shift WP)
(0.01 left WP)
(0.01004 right WP)
(0.01002 shift WRB)
(0.01 left WRB)
(0.00996 right WRB)
))

(conditional 'prevpos
:conditions '((Selected (state 0) (operator none))
(stacktop (idx (i)))
(stack (idx (i)) (id (s1id)))
(stack (idx (i -1)) (id (s2id)))
(stack (idx (i -2)) (id (s3id)))
(sentence (id (s1id)) (word (w1)) (tag (t1)))
(sentence (id (s2id)) (word (w2)) (tag (t2)))
(sentence (id (s3id)) (word (w3)) (tag (t3))))
:actions '((Selected (state 0) (operator (a))))
:FUNCTION-VARIABLE-NAMES '(a t3)
:function '(
(0.01 shift COMMACHAR)
(0.01 left COMMACHAR)
(0.00996 right COMMACHAR)
(0.01 shift SINGLEQUOTESINGLEQUOTE)
(0.01 left SINGLEQUOTESINGLEQUOTE)
(0.00991 right SINGLEQUOTESINGLEQUOTE)
(0.01 shift PERIODCHAR)
(0.01 left PERIODCHAR)
(0.00999 right PERIODCHAR)
(0.00999 shift BACKQUOTEBACKQUOTE)
(0.01 left BACKQUOTEBACKQUOTE)
(0.00993 right BACKQUOTEBACKQUOTE)
(0.01001 shift COL)
(0.01 left COL)
(0.00996 right COL)
(0.01002 shift DOLLARSIGN)
(0.01 left DOLLARSIGN)
(0.01003 right DOLLARSIGN)
(0.00998 shift HASHSIGN)
(0.01 left HASHSIGN)
(0.00998 right HASHSIGN)
(0.01 shift CC)
(0.01 left CC)
(0.00997 right CC)
(0.01 shift CD)
(0.01 left CD)
(0.00998 right CD)
(0.01 shift DT)
(0.01 left DT)
(0.00997 right DT)
(0.01003 shift IN)
(0.01 left IN)
(0.01001 right IN)
(0.01 shift JJ)
(0.01 left JJ)
(0.00999 right JJ)
(0.00998 shift JJR)
(0.01 left JJR)
(0.00999 right JJR)
(0.00998 shift JJS)
(0.01 left JJS)
(0.00997 right JJS)
(0.00995 shift -LRB-)
(0.01 left -LRB-)
(0.00986 right -LRB-)
(0.01005 shift LW)
(0.01 left LW)
(0.01 right LW)
(0.01004 shift MD)
(0.01 left MD)
(0.01004 right MD)
(0.01002 shift NN)
(0.01 left NN)
(0.01 right NN)
(0.01 shift NNP)
(0.01 left NNP)
(0.00998 right NNP)
(0.01002 shift NNS)
(0.01 left NNS)
(0.01 right NNS)
(0.00992 shift PDT)
(0.01 left PDT)
(0.00996 right PDT)
(0.00998 shift POS)
(0.01 left POS)
(0.00997 right POS)
(0.00999 shift PRPDOLLARSIGN)
(0.01 left PRPDOLLARSIGN)
(0.00999 right PRPDOLLARSIGN)
(0.00996 shift PRP)
(0.01 left PRP)
(0.00999 right PRP)
(0.01002 shift RB)
(0.01 left RB)
(0.00998 right RB)
(0.01006 shift RBR)
(0.01 left RBR)
(0.01005 right RBR)
(0.00998 shift RBS)
(0.01 left RBS)
(0.01002 right RBS)
(0.01005 shift RP)
(0.01 left RP)
(0.01001 right RP)
(0.01003 shift TO)
(0.01 left TO)
(0.01003 right TO)
(0.01001 shift UH)
(0.01 left UH)
(0.01 right UH)
(0.01003 shift VB)
(0.01 left VB)
(0.01001 right VB)
(0.01005 shift VBD)
(0.01 left VBD)
(0.01002 right VBD)
(0.01004 shift VBG)
(0.01 left VBG)
(0.01002 right VBG)
(0.01004 shift VBN)
(0.01 left VBN)
(0.01002 right VBN)
(0.01004 shift VBP)
(0.01 left VBP)
(0.01002 right VBP)
(0.01006 shift VBZ)
(0.01 left VBZ)
(0.01003 right VBZ)
(0.01004 shift WDT)
(0.01 left WDT)
(0.01002 right WDT)
(0.01 shift WPDOLLARSIGN)
(0.01 left WPDOLLARSIGN)
(0.01001 right WPDOLLARSIGN)
(0.01003 shift WP)
(0.01 left WP)
(0.01002 right WP)
(0.01001 shift WRB)
(0.01 left WRB)
(0.01 right WRB)
))

(conditional 'nextpos
:conditions '((Selected (state 0) (operator none))
(sentence (id (ind)) (word (evw)) (tag (evt)))
(InputPtr (ptr (ind)))
(stacktop (idx (i)))
(stack (idx (i)) (id (s1id)))
(stack (idx (i -1)) (id (s2id)))
(stack (idx (i -2)) (id (s3id)))
(sentence (id (s1id)) (word (w1)) (tag (t1)))
(sentence (id (s2id)) (word (w2)) (tag (t2)))
(sentence (id (s3id)) (word (w3)) (tag (t3))))
:actions '((Selected (state 0) (operator (a))))
:FUNCTION-VARIABLE-NAMES '(a evt)
:function '(
(0.01 shift SINGLEQUOTESINGLEQUOTE)
(0.01 left SINGLEQUOTESINGLEQUOTE)
(0.01001 right SINGLEQUOTESINGLEQUOTE)
(0.01 shift HASHSIGN)
(0.01 left HASHSIGN)
(0.0099 right HASHSIGN)
(0.01 shift COMMACHAR)
(0.01 left COMMACHAR)
(0.01011 right COMMACHAR)
(0.01001 shift BACKQUOTEBACKQUOTE)
(0.01 left BACKQUOTEBACKQUOTE)
(0.00998 right BACKQUOTEBACKQUOTE)
(0.00983 shift PERIODCHAR)
(0.01 left PERIODCHAR)
(0.01009 right PERIODCHAR)
(0.00997 shift COL)
(0.01 left COL)
(0.0101 right COL)
(0.01004 shift DOLLARSIGN)
(0.01 left DOLLARSIGN)
(0.00992 right DOLLARSIGN)
(0.01006 shift CC)
(0.01 left CC)
(0.01007 right CC)
(0.01002 shift CD)
(0.01 left CD)
(0.00992 right CD)
(0.01001 shift DT)
(0.01 left DT)
(0.00995 right DT)
(0.01005 shift EX)
(0.01 left EX)
(0.00995 right EX)
(0.00998 shift FW)
(0.01 left FW)
(0.01002 right FW)
(0.01 shift IN)
(0.01 left IN)
(0.01001 right IN)
(0.01005 shift JJ)
(0.01 left JJ)
(0.00996 right JJ)
(0.01002 shift JJR)
(0.01 left JJR)
(0.00993 right JJR)
(0.01 shift JJS)
(0.01 left JJS)
(0.00989 right JJS)
(0.01002 shift -LRB-)
(0.01 left -LRB-)
(0.00998 right -LRB-)
(0.01003 shift LS)
(0.01 left LS)
(0.00997 right LS)
(0.01 shift MD)
(0.01 left MD)
(0.01005 right MD)
(0.0101 shift NN)
(0.01 left NN)
(0.01001 right NN)
(0.01006 shift NNP)
(0.01 left NNP)
(0.00996 right NNP)
(0.01001 shift NNPS)
(0.01 left NNPS)
(0.00999 right NNPS)
(0.01012 shift NNS)
(0.01 left NNS)
(0.01001 right NNS)
(0.00999 shift PDT)
(0.01 left PDT)
(0.00995 right PDT)
(0.01026 shift POS)
(0.01 left POS)
(0.01007 right POS)
(0.01 shift PRP)
(0.01 left PRP)
(0.00992 right PRP)
(0.01001 shift PRPDOLLARSIGN)
(0.01 left PRPDOLLARSIGN)
(0.00992 right PRPDOLLARSIGN)
(0.01 shift RB)
(0.01 left RB)
(0.00999 right RB)
(0.00998 shift RBR)
(0.01 left RBR)
(0.00995 right RBR)
(0.01007 shift RBS)
(0.01 left RBS)
(0.01004 right RBS)
(0.01 shift RP)
(0.01 left RP)
(0.00995 right RP)
(0.01004 shift -RRB-)
(0.01 left -RRB-)
(0.01006 right -RRB-)
(0.00971 shift RW)
(0.01 left RW)
(0.01017 right RW)
(0.00999 shift TO)
(0.01 left TO)
(0.01 right TO)
(0.00997 shift UH)
(0.01 left UH)
(0.01003 right UH)
(0.01 shift VB)
(0.01 left VB)
(0.00996 right VB)
(0.01001 shift VBD)
(0.01 left VBD)
(0.01005 right VBD)
(0.01001 shift VBG)
(0.01 left VBG)
(0.00998 right VBG)
(0.01001 shift VBN)
(0.01 left VBN)
(0.00997 right VBN)
(0.01 shift VBP)
(0.01 left VBP)
(0.01003 right VBP)
(0.01002 shift VBZ)
(0.01 left VBZ)
(0.01006 right VBZ)
(0.00998 shift WDT)
(0.01 left WDT)
(0.00998 right WDT)
(0.00999 shift WPDOLLARSIGN)
(0.01 left WPDOLLARSIGN)
(0.00993 right WPDOLLARSIGN)
(0.00998 shift WP)
(0.01 left WP)
(0.00993 right WP)
(0.01 shift WRB)
(0.01 left WRB)
(0.01 right WRB)
))

(conditional 'rejectshift
             :conditions '((Selected (state 0) (operator none))
                           (InputPtr (ptr (ind)))
                           (sentence (id (ind)) (word RW) (tag RW)))
             :actions '((Selected - (state 0) (operator shift))))

(conditional 'rejectleft
             :conditions '((Selected (state 0) (operator none))
                           (InputPtr (ptr (ind)))
                           (stacktop (idx 1))
                           (sentence - (id (ind)) (tag RW)))
             :actions '((Selected - (state 0) (operator left))))

(conditional 'rejectright
             :conditions '((Selected (state 0) (operator none))
                           (InputPtr (ptr (ind)))
                           (stacktop (idx 1))
                           (sentence - (id (ind)) (tag RW)))
             :actions '((Selected - (state 0) (operator right))))


(conditional 'terminate
             :conditions '((Selected (state 0) (operator none))
                           (InputPtr (ptr (ind)))
                           (sentence (id (ind)) (word RW) (tag RW))
                           (stacktop (idx 0)))
             :actions '((Selected (state 0) (operator done))))

(evidence '((StackTop 1 (idx 0))
            (Stack 1 (idx -1) (id 0))
            (Stack 1 (idx 0) (id 0))
            (InputPtr 1 (ptr 1))
            (Selected 1 (state 0) (operator none))            
            (sentence 1 (id 0) (word LW) (tag LW))

          ;  (sentence 1 (id 1) (word the) (tag DT))
          ;  (sentence 1 (id 2) (word dog) (tag NN))
          ;  (sentence 1 (id 3) (word chased) (tag VBD))
          ;  (sentence 1 (id 4) (word the) (tag DT))
          ;  (sentence 1 (id 5) (word cat) (tag NN))

          ;  (sentence 1 (id 6) (word RW) (tag RW))))

            (sentence 1 (id 1) (tag PRP))        ; I
            (sentence 1 (id 2) (tag VBP))        ; saw
            (sentence 1 (id 3) (tag DT))         ; the
            (sentence 1 (id 4) (tag NNS))        ; statue
            (sentence 1 (id 5) (tag IN))         ; in
            (sentence 1 (id 6) (tag DT))         ; the
            (sentence 1 (id 7) (tag NN))         ; park
            (sentence 1 (id 8) (tag PERIODCHAR)) ; . 

            (sentence 1 (id 9) (word RW) (tag RW))))
(d nod)))

(defun test-shift-reduce nil (sr))
